import * as React from 'react';
import { Coloring, RenditionSystemProps, Sizing } from '../../common-types';
import { DismissableContainerProps } from '../../internal/DismissableContainer';
interface InternalAlertProps extends Omit<DismissableContainerProps, 'prefix'>, Coloring, Sizing {
    plaintext?: boolean;
    bg?: string;
    prefix?: JSX.Element | string | false;
    onDismiss?: () => void;
}
export type AlertProps = InternalAlertProps & RenditionSystemProps;
export declare const Alert: React.FunctionComponent<AlertProps>;
export {};
