import * as React from 'react';
import { RenditionSystemProps, Theme } from '../../common-types';
export interface ThemedBadgeProps extends InternalBadgeProps {
    theme: Theme;
}
export interface InternalBadgeProps {
    children: string;
    className?: string;
    shade?: number;
}
export type BadgeProps = InternalBadgeProps & RenditionSystemProps;
export declare const Badge: React.FunctionComponent<BadgeProps>;
