"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Banner = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var Flex_1 = require("../Flex");
var utils_1 = require("../../utils");
var setDefaultProps = (0, utils_1.withProps)(function (props) {
    return Object.assign({
        p: [3, 4],
        minHeight: "80vh",
        flexDirection: "column",
        alignItems: "center",
        justifyContent: "center",
    }, props);
});
var setBgImage = function (bgImage) { return (bgImage ? "url(".concat(bgImage, ")") : 'none'); };
var Base = (0, styled_components_1.default)(Flex_1.Flex)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tbackground-size: cover;\n\tbackground-position: center;\n\tbackground-image: ", ";\n"], ["\n\tbackground-size: cover;\n\tbackground-position: center;\n\tbackground-image: ", ";\n"])), function (props) { return setBgImage(props.backgroundImage); });
exports.Banner = (0, asRendition_1.default)(Base, [setDefaultProps]);
var templateObject_1;
