"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChangelogButton = exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var _1 = require(".");
var ChangelogButton_1 = require("./ChangelogButton");
var Flex_1 = require("../Flex");
var theme_1 = __importDefault(require("../../theme"));
var getChangelog = function () { return "# v3.4.1\n## (2022-04-01)\n\n* Improved codebase\n\n# v3.4.0\n## (2022-03-30)\n\n* Added a feature\n\n# v3.3.6\n## (2022-03-30)\n\n* Fixed a bug"; };
var ChangelogDemo = function (props) {
    return react_1.default.createElement(_1.Changelog, __assign({}, props));
};
var ChangelogModalDemo = function (props) {
    return (react_1.default.createElement(Flex_1.Flex, null,
        react_1.default.createElement(ChangelogButton_1.ChangelogButton, __assign({}, props, { style: { background: theme_1.default.colors.primary.main }, color: "white" }))));
};
exports.default = {
    title: 'Core/Changelog',
    component: _1.Changelog,
};
var Template = (0, utils_1.createTemplate)(ChangelogDemo);
var ButtonTemplate = (0, utils_1.createTemplate)(ChangelogModalDemo);
exports.Default = (0, utils_1.createStory)(Template, { getChangelog: getChangelog });
exports.ChangelogButton = (0, utils_1.createStory)(ButtonTemplate, {
    getChangelog: getChangelog,
});
