"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toggle = exports.Disabled = exports.ReversedLabel = exports.WithLabel = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var _1 = require("./");
exports.default = {
    title: 'Core/Checkbox',
    component: _1.Checkbox,
};
var Template = (0, utils_1.createTemplate)(_1.Checkbox);
exports.Default = (0, utils_1.createStory)(Template, {});
exports.WithLabel = (0, utils_1.createStory)(Template, {
    label: 'Checkbox',
});
exports.ReversedLabel = (0, utils_1.createStory)(Template, {
    label: 'Checkbox',
    reverse: true,
});
exports.Disabled = (0, utils_1.createStory)(Template, {
    label: 'Checkbox',
    disabled: true,
});
exports.Toggle = (0, utils_1.createStory)(Template, {
    label: 'Toggle',
    toggle: true,
});
