"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = exports.getHoverStyle = void 0;
var grommet_1 = require("grommet");
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var utils_1 = require("../../utils");
var asRendition_1 = __importDefault(require("../../asRendition"));
var getHoverStyle = function (props) { return "\n\t& label:hover input:not([disabled]) + span > span {\n\t\tborder-color: ".concat(props.theme.colors.primary.dark, ";\n\t\tbackground: ").concat(props.theme.colors.primary.dark, ";\n\t}\n\t& label:hover input:not([disabled]) + div {\n\t\tborder-color: ").concat(props.theme.colors.tertiary.main, "!important;\n\t}\n\t").concat(props.isChecked
    ? "\n\t\t& label:hover input:not([disabled]) + div {\n\t\t\tborder-color: ".concat(props.theme.colors.primary.dark, " !important;\n\t\t\tbackground: ").concat(props.theme.colors.primary.dark, ";\n\t\t}\n\t\t")
    : '', "\n"); };
exports.getHoverStyle = getHoverStyle;
var getBaseStyle = function (props) { return "\n\t/* for the checkbox */\n\t& > label > div > div,\n\t/* for the toggle */\n\t& > label > div > span {\n\t\tbackground-color: white;\n\t}\n\t& > label > span {\n\t\tfont-family: ".concat(props.theme.font, ";\n\t\tfont-size: ").concat((0, utils_1.px)(props.theme.fontSizes[2]), ";\n\t}\n\t").concat(props.isChecked || props.isIndeterminate
    ? "\n\t\t& label input + div {\n\t\t\tborder-color: ".concat(props.theme.colors.primary.main, ";\n\t\t\tbackground: ").concat(props.theme.colors.primary.main, ";\n\t\t\t> svg {\n\t\t\t\tstroke: #fff;\n\t\t\t}\n\t\t}\n\t\t")
    : '', "\n\n\t& label[disabled] {\n\t\topacity: 0.4\n\t}\n"); };
var CheckboxWrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t", "\n\t", "\n"], ["\n\t", "\n\t", "\n"])), getBaseStyle, exports.getHoverStyle);
var BaseCheckbox = function (_a) {
    var className = _a.className, otherProps = __rest(_a, ["className"]);
    return (React.createElement(CheckboxWrapper, { isChecked: otherProps.checked, isIndeterminate: otherProps.indeterminate, className: className },
        React.createElement(grommet_1.CheckBox, __assign({}, otherProps))));
};
exports.Checkbox = (0, asRendition_1.default)(BaseCheckbox);
var templateObject_1;
