"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var _1 = require(".");
var __1 = require("../..");
exports.default = {
    title: 'Core/DataGrid',
    component: _1.DataGrid,
};
var Template = (0, utils_1.createTemplate)(_1.DataGrid);
exports.Default = (0, utils_1.createStory)(Template, {
    items: [1, 2, 3, 4, 5, 6],
    itemMinWidth: ['180px', '260px', '320px'],
    itemMaxWidth: ['360px', '520px', '640px'],
    getItemKey: function (i) { return i; },
    renderItem: function (i) { return (react_1.default.createElement(__1.Card, null,
        react_1.default.createElement(__1.Txt, { fontSize: 4, align: "center" }, i))); },
});
