import { FULL_TEXT_SLUG } from '../Filters/SchemaSieve';
import type { CreateFilter } from './utils';
export declare const operators: () => {
    is: string;
    is_not: string;
    is_more_than: string;
    is_less_than: string;
};
export type OperatorSlug = keyof ReturnType<typeof operators> | typeof FULL_TEXT_SLUG;
export declare const createFilter: CreateFilter<OperatorSlug>;
