import type { JSONSchema7 as JSONSchema } from 'json-schema';
import * as React from 'react';
import { Omit } from '../../common-types';
import { TagProps } from '../Tag';
declare const FilterDescription: ({ filter, ...props }: FilterDescriptionProps) => React.JSX.Element;
export interface FilterDescriptionProps extends Omit<TagProps, 'value'> {
    filter: JSONSchema;
}
export default FilterDescription;
