"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.H5 = exports.H4 = exports.H3 = exports.H2 = exports.H1 = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var _1 = require(".");
exports.default = {
    title: 'Core/Heading',
    component: _1.Heading,
};
var DefaultTemplate = (0, utils_1.createTemplate)(_1.Heading);
exports.Default = (0, utils_1.createStory)(DefaultTemplate, {
    children: 'Heading h3',
});
var H1Template = (0, utils_1.createTemplate)(_1.Heading.h1);
exports.H1 = (0, utils_1.createStory)(H1Template, {
    children: 'Heading h1',
});
var H2Template = (0, utils_1.createTemplate)(_1.Heading.h2);
exports.H2 = (0, utils_1.createStory)(H2Template, {
    children: 'Heading h2',
});
var H3Template = (0, utils_1.createTemplate)(_1.Heading.h3);
exports.H3 = (0, utils_1.createStory)(H3Template, {
    children: 'Heading h3',
});
var H4Template = (0, utils_1.createTemplate)(_1.Heading.h4);
exports.H4 = (0, utils_1.createStory)(H4Template, {
    children: 'Heading h4',
});
var H5Template = (0, utils_1.createTemplate)(_1.Heading.h5);
exports.H5 = (0, utils_1.createStory)(H5Template, {
    children: 'Heading h5',
});
