"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Monospace = exports.Emphasized = exports.WithPlaceholder = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var _1 = require(".");
exports.default = {
    title: 'Core/Input',
    component: _1.Input,
};
var Template = (0, utils_1.createTemplate)(_1.Input);
exports.Default = (0, utils_1.createStory)(Template, {});
exports.WithPlaceholder = (0, utils_1.createStory)(Template, {
    placeholder: 'This is a placeholder',
});
exports.Emphasized = (0, utils_1.createStory)(Template, {
    emphasized: true,
});
exports.Monospace = (0, utils_1.createStory)(Template, {
    monospace: true,
});
