"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var React = __importStar(require("react"));
var theme_1 = __importDefault(require("../../theme"));
var Box_1 = require("../Box");
var Flex_1 = require("../Flex");
var Button_1 = require("../Button");
var faBars_1 = require("@fortawesome/free-solid-svg-icons/faBars");
var styled_components_1 = __importDefault(require("styled-components"));
var BaseHeader = (0, styled_components_1.default)(Box_1.Box)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tz-index: 12;\n\tposition: relative;\n\twidth: 100%;\n"], ["\n\tz-index: 12;\n\tposition: relative;\n\twidth: 100%;\n"])));
var Header = function (_a) {
    var rightContent = _a.rightContent, leftContent = _a.leftContent, isSidebarCollapsed = _a.isSidebarCollapsed, setIsSidebarCollapsed = _a.setIsSidebarCollapsed, props = __rest(_a, ["rightContent", "leftContent", "isSidebarCollapsed", "setIsSidebarCollapsed"]);
    return (React.createElement(BaseHeader, __assign({ width: "100%", backgroundColor: "secondary.main" }, props),
        React.createElement(Flex_1.Flex, { justifyContent: "space-between", mx: 3 },
            React.createElement(Flex_1.Flex, { justifyContent: "space-between", alignItems: "center", ml: 0, mr: "auto" },
                setIsSidebarCollapsed && (React.createElement(Button_1.Button, { plain: true, color: theme_1.default.colors.quartenary.main, ml: "auto", display: ['block', 'block', 'none'], onClick: function () {
                        setIsSidebarCollapsed(!isSidebarCollapsed);
                    }, "aria-label": "Toggle navigation", fontSize: 5 },
                    React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faBars_1.faBars }))),
                leftContent),
            React.createElement(Flex_1.Flex, { justifyContent: "space-between", alignItems: "center", ml: "auto", mr: 0 }, rightContent))));
};
exports.Header = Header;
var templateObject_1;
