"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var _1 = require(".");
var Box_1 = require("../Box");
var Txt_1 = require("../Txt");
exports.default = {
    title: 'Core/Layout',
    component: _1.Layout,
};
var Template = (0, utils_1.createTemplate)(_1.Layout);
exports.Default = (0, utils_1.createStory)(Template, {
    header: {
        leftContent: (react_1.default.createElement(Txt_1.Txt, { color: "white", my: 1, ml: 1, minHeight: "10vh" }, "This is a header")),
    },
    leftSider: {
        menuItems: [
            { title: 'foo', href: 'roadmap.balena.io' },
            { title: 'bar', href: 'docs.balena.io' },
        ],
        navLink: Txt_1.Txt,
        minHeight: '100vh',
        minWidth: '10vw',
    },
    children: (react_1.default.createElement(Box_1.Box, { m: 1 }, "The Layout component can give your product a sidebar and a header by passing respective props for either component, or you can pass your own into it. It accepts children (in this case the text you're seeing here), as well as components for the Footer, header for the content (children), and error boundary (if one is not provided, a native rendition one will be used).")),
});
