import * as React from 'react';
import { SidebarProps } from '../Sidebar';
import { HeaderProps } from './Header';
export interface LayoutProps {
    header?: JSX.Element | HeaderProps | ((isSidebarCollapsed?: boolean, setIsSidebarCollapsed?: (state: boolean) => void) => JSX.Element);
    footer?: JSX.Element;
    leftSider?: JSX.Element | SidebarProps | ((isSidebarCollapsed?: boolean, setIsSidebarCollapsed?: (state: boolean) => void) => JSX.Element);
    contentHeader?: JSX.Element;
    children: JSX.Element;
    ErrorBoundary?: React.ComponentType<{
        children: React.ReactNode;
    }>;
    isSidebarCollapsed?: boolean;
    setIsSidebarCollapsed?: (state: boolean) => void;
}
export declare const Layout: ({ header, footer, leftSider, contentHeader, children, ErrorBoundary, isSidebarCollapsed, setIsSidebarCollapsed, }: LayoutProps) => React.JSX.Element;
