"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var _1 = require(".");
var API_KEY = 'AIzaSyAvBsYt6MEiFwFTYfat3Doj5ED2OgbB6m0';
exports.default = {
    title: 'Core/Map',
    component: _1.Map,
    decorators: [
        function (Story) { return (react_1.default.createElement("div", { style: { height: 600 } },
            react_1.default.createElement(Story, null))); },
    ],
    argTypes: {
        mapClick: { action: 'mapClick' },
    },
};
var Template = (0, utils_1.createTemplate)(_1.Map);
exports.Default = (0, utils_1.createStory)(Template, {
    data: [
        {
            id: 1,
            lat: 51.507,
            lng: 0.127,
            title: 'London',
        },
        {
            id: 2,
            lat: 52.366,
            lng: 4.89,
            title: 'Amsterdam',
        },
    ],
    dataMap: {
        lat: function (entry) { return entry.lat; },
        lng: 'lng',
        id: 'id',
        title: 'title',
    },
    apiKey: API_KEY,
});
