"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Modal = void 0;
var grommet_1 = require("grommet");
var merge_1 = __importDefault(require("lodash/merge"));
var React = __importStar(require("react"));
var styled_components_1 = __importStar(require("styled-components"));
var utils_1 = require("../../utils");
var Box_1 = require("../Box");
var Button_1 = require("../Button");
var Flex_1 = require("../Flex");
var Heading_1 = require("../Heading");
var bodyNoOverflowClass = "rendition-modal-open";
var GlobalStyle = (0, styled_components_1.createGlobalStyle)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t.", " {\n\t\toverflow: hidden;\n\t}\n"], ["\n\t.", " {\n\t\toverflow: hidden;\n\t}\n"])), bodyNoOverflowClass);
var DEFAULT_MODAL_WIDTH = 700;
var ModalSizer = (0, styled_components_1.default)(Box_1.Box)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\toverflow-y: auto;\n"], ["\n\toverflow-y: auto;\n"])));
var ModalButton = function (props) {
    return 'href' in props && props.href ? (React.createElement(Button_1.Button, __assign({ as: "a" }, props))) : (React.createElement(Button_1.Button, __assign({}, props)));
};
var BaseModal = (function (_super) {
    __extends(BaseModal, _super);
    function BaseModal(props) {
        var _this = _super.call(this, props) || this;
        _this.ongoingSubmit = false;
        _this.ownIndex = 0;
        _this.handleKeyDown = function (e) {
            var _a;
            if (BaseModal.mountedCount !== _this.ownIndex) {
                return;
            }
            if (!e.defaultPrevented && e.which === 13) {
                e.preventDefault();
                e.stopPropagation();
                if (((_a = _this.props.primaryButtonProps) === null || _a === void 0 ? void 0 : _a.disabled) || _this.ongoingSubmit) {
                    return;
                }
                if (e.which === 13) {
                    _this.done();
                }
            }
        };
        _this.done = function () { return __awaiter(_this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, , 2, 3]);
                        this.ongoingSubmit = true;
                        return [4, this.props.done()];
                    case 1:
                        _a.sent();
                        return [3, 3];
                    case 2:
                        this.ongoingSubmit = false;
                        return [7];
                    case 3: return [2];
                }
            });
        }); };
        _this.stopPropagation = function (e) {
            return e.stopPropagation();
        };
        _this.popModal = function () {
            if (BaseModal.mountedCount !== _this.ownIndex) {
                return;
            }
            (_this.props.cancel || _this.done)();
        };
        return _this;
    }
    BaseModal.prototype.componentDidMount = function () {
        if (!BaseModal.mountedCount) {
            document.body.classList.add(bodyNoOverflowClass);
        }
        window.addEventListener('keydown', this.handleKeyDown);
        BaseModal.mountedCount++;
        this.ownIndex = BaseModal.mountedCount;
    };
    BaseModal.prototype.componentWillUnmount = function () {
        BaseModal.mountedCount--;
        if (!BaseModal.mountedCount) {
            document.body.classList.remove(bodyNoOverflowClass);
        }
        window.removeEventListener('keydown', this.handleKeyDown);
    };
    BaseModal.prototype.render = function () {
        var _a, _b, _c;
        var _d = this.props, width = _d.width, theme = _d.theme, props = __rest(_d, ["width", "theme"]);
        var cancelButtonProps = Object.assign({ ml: 3 }, props.cancelButtonProps);
        var secondaryButtonProps = Object.assign({
            primary: true,
            outline: true,
            ml: 3,
        }, props.secondaryButtonProps);
        var shouldChangePrimaryButtonOrder = ((_b = (_a = props.primaryButtonProps) === null || _a === void 0 ? void 0 : _a.danger) !== null && _b !== void 0 ? _b : (_c = props.primaryButtonProps) === null || _c === void 0 ? void 0 : _c.warning) === true;
        var primaryButtonProps = (0, merge_1.default)(__assign({ primary: true, ml: 3 }, (shouldChangePrimaryButtonOrder && {
            style: { order: -1 },
        })), props.primaryButtonProps);
        return (React.createElement(grommet_1.Layer, { onEsc: this.popModal, onClickOutside: this.popModal, responsive: false, position: props.position || 'center', margin: "small", animate: false, style: {
                marginTop: props.position === 'top' ? theme.header.height : undefined,
                color: theme.colors.text.main,
            } },
            React.createElement(GlobalStyle, null),
            React.createElement(ModalSizer, { width: width || DEFAULT_MODAL_WIDTH, maxWidth: "100%", onClick: this.stopPropagation, style: props.style, id: props.id, className: props.className },
                React.createElement(Box_1.Box, { p: [(0, utils_1.px)(theme.space[3]), '40px 50px 30px'] },
                    !!props.title && React.createElement(Heading_1.Heading.h3, { mb: 4 }, props.title),
                    props.children,
                    React.createElement(Flex_1.Flex, { mt: 5, alignItems: "center", justifyContent: "flex-end" },
                        props.cancel && (React.createElement(ModalButton, __assign({}, cancelButtonProps, { onClick: props.cancel }), (cancelButtonProps && cancelButtonProps.children) ||
                            'Cancel')),
                        props.secondaryButtonProps && (React.createElement(ModalButton, __assign({}, secondaryButtonProps))),
                        React.createElement(ModalButton, __assign({}, primaryButtonProps, { onClick: this.done }), props.action || 'OK'))))));
    };
    BaseModal.mountedCount = 0;
    return BaseModal;
}(React.Component));
exports.Modal = (0, styled_components_1.withTheme)(BaseModal);
var templateObject_1, templateObject_2;
