"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var _1 = require(".");
var __1 = require("../..");
var PopoverDemo = function (props) {
    var _a = react_1.default.useState(null), target = _a[0], setTarget = _a[1];
    return (react_1.default.createElement(__1.Box, { m: 3 },
        target && react_1.default.createElement(_1.Popover, __assign({ target: target }, props)),
        react_1.default.createElement("span", { ref: setTarget }, "Popover target")));
};
exports.default = {
    title: 'Core/Popover',
    component: _1.Popover,
    parameters: {
        docs: {
            inlineStories: false,
            iframeHeight: 100,
        },
    },
};
var Template = (0, utils_1.createTemplate)(PopoverDemo);
exports.Default = (0, utils_1.createStory)(Template, {
    children: (react_1.default.createElement(__1.Txt, { align: "center", p: 3 }, "Popover content")),
    placement: 'right',
});
