"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Emphasized = exports.DifferentColor = exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var _1 = require(".");
var ProgressBarDemo = function (props) {
    var _a;
    var _b = react_1.default.useState((_a = props.value) !== null && _a !== void 0 ? _a : 0), value = _b[0], setValue = _b[1];
    react_1.default.useEffect(function () {
        var interval = setInterval(function () {
            setValue(function (val) { return (val > 100 ? 0 : val + 1); });
        }, 250);
        return function () { return clearInterval(interval); };
    }, []);
    return (react_1.default.createElement(_1.ProgressBar, __assign({}, props, { value: value }),
        value,
        "%"));
};
exports.default = {
    title: 'Core/ProgressBar',
    component: _1.ProgressBar,
};
var Template = (0, utils_1.createTemplate)(ProgressBarDemo);
exports.Default = (0, utils_1.createStory)(Template, {
    value: 10,
});
exports.DifferentColor = (0, utils_1.createStory)(Template, {
    value: 10,
    danger: true,
});
exports.Emphasized = (0, utils_1.createStory)(Template, {
    value: 10,
    emphasized: true,
});
