"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Disabled = exports.Checked = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var _1 = require(".");
exports.default = {
    title: 'Core/RadioButton',
    component: _1.RadioButton,
};
var Template = (0, utils_1.createTemplate)(_1.RadioButton);
exports.Default = (0, utils_1.createStory)(Template, {
    label: 'Radio button',
});
exports.Checked = (0, utils_1.createStory)(Template, {
    label: 'Radio button',
    checked: true,
});
exports.Disabled = (0, utils_1.createStory)(Template, {
    label: 'Radio button',
    disabled: true,
});
