"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithExpandedOptions = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var __1 = require("../..");
var _1 = require(".");
exports.default = {
    title: 'Core/RadioButtonGroup',
    component: _1.RadioButtonGroup,
    subcomponents: { RadioButton: __1.RadioButton },
};
var Template = (0, utils_1.createTemplate)(_1.RadioButtonGroup);
exports.Default = (0, utils_1.createStory)(Template, {
    options: ['plain 1', 'plain 2'],
    value: 'plain 1',
});
exports.WithExpandedOptions = (0, utils_1.createStory)(Template, {
    options: [
        { disabled: true, value: 'disabled', label: 'disabled' },
        { disabled: false, value: 'enabled', label: 'enabled' },
        { disabled: false, value: 'selected', label: 'selected' },
    ],
    value: 'selected',
});
