"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Playground = exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var RendererPlayground_1 = require("./RendererPlayground");
var _1 = require(".");
var examples_1 = __importDefault(require("./examples"));
var styled_components_1 = require("styled-components");
var GlobalStyle = (0, styled_components_1.createGlobalStyle)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  html, body, #root {\n    height: 100%;\n  }\n  #root,\n  #root > div,\n  #root > div > div {\n    display: flex;\n    flex: 1;\n    min-width: 0;\n  }\n  .storybook-readme-story > div {\n    margin: 0 !important;\n  }\n"], ["\n  html, body, #root {\n    height: 100%;\n  }\n  #root,\n  #root > div,\n  #root > div > div {\n    display: flex;\n    flex: 1;\n    min-width: 0;\n  }\n  .storybook-readme-story > div {\n    margin: 0 !important;\n  }\n"])));
exports.default = {
    title: 'Core/Renderer',
    component: _1.Renderer,
};
var Template = (0, utils_1.createTemplate)(_1.Renderer);
var PlaygroundTemplate = (0, utils_1.createTemplate)(RendererPlayground_1.RendererPlayground);
exports.Default = (0, utils_1.createStory)(Template, __assign({}, examples_1.default['An object with various properties']));
exports.Playground = (0, utils_1.createStory)(PlaygroundTemplate, {
    examples: examples_1.default,
    flex: 1,
    height: '100%',
});
exports.Playground.decorators = [
    function (Story) { return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(GlobalStyle, null),
        react_1.default.createElement(Story, null))); },
];
var templateObject_1;
