"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DisabledTextWidget = void 0;
var react_1 = __importDefault(require("react"));
var Txt_1 = require("../../Txt");
var types_1 = require("../types");
var widget_util_1 = require("./widget-util");
var useTranslation_1 = require("../../../hooks/useTranslation");
exports.DisabledTextWidget = (0, widget_util_1.widgetFactory)('DisabledText', {}, [
    types_1.JsonTypes.string,
    types_1.JsonTypes.number,
    types_1.JsonTypes.null,
])(function (_a) {
    var value = _a.value;
    var t = (0, useTranslation_1.useTranslation)().t;
    var val = value != null && typeof value !== 'string' ? value.toString() : value;
    return (react_1.default.createElement(Txt_1.Txt, { maxWidth: "350px", truncate: true, title: val !== null && val !== void 0 ? val : t('info.not_defined'), color: "#b3b6b9", monospace: true, copy: val != null && val.length > 45 ? val : undefined, italic: val == null, px: 1 }, val !== null && val !== void 0 ? val : t('info.not_defined')));
});
