"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElapsedTimeWidget = void 0;
var react_1 = __importDefault(require("react"));
var Txt_1 = require("../../Txt");
var types_1 = require("../types");
var ui_options_1 = require("./ui-options");
var widget_util_1 = require("./widget-util");
var widget_util_2 = require("./widget-util");
exports.ElapsedTimeWidget = (0, widget_util_1.widgetFactory)('ElapsedTime', {
    dtFormat: ui_options_1.UiOption.string,
}, [types_1.JsonTypes.string, types_1.JsonTypes.number])(function (_a) {
    var value = _a.value;
    if (!value) {
        return null;
    }
    return react_1.default.createElement(Txt_1.Txt, { tooltip: (0, widget_util_2.formatTimestamp)(value) }, (0, widget_util_2.timeSince)(value));
});
