"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var get_1 = __importDefault(require("lodash/get"));
var widget_util_1 = require("./widget-util");
var types_1 = require("../types");
var index_1 = require("../index");
var ObjectWidget = (0, widget_util_1.widgetFactory)('Object', undefined, [types_1.JsonTypes.object])(function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, rest = __rest(_a, ["value", "schema", "uiSchema"]);
    var propertyNames = (0, widget_util_1.getObjectPropertyNames)({ value: value, schema: schema, uiSchema: uiSchema });
    return (React.createElement(React.Fragment, null, propertyNames.map(function (key) {
        var _a;
        var subProps = {
            value: (_a = (0, get_1.default)(value, key)) !== null && _a !== void 0 ? _a : null,
            schema: (0, get_1.default)(schema, ['properties', key]),
            uiSchema: (0, get_1.default)(uiSchema, key),
        };
        return (React.createElement(index_1.Renderer, __assign({ key: key, nested: true, valueKey: key }, subProps, rest)));
    })));
});
exports.default = ObjectWidget;
