"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Search = void 0;
var faSearch_1 = require("@fortawesome/free-solid-svg-icons/faSearch");
var faTimes_1 = require("@fortawesome/free-solid-svg-icons/faTimes");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var utils_1 = require("../../utils");
var Flex_1 = require("../Flex");
var Button_1 = require("../Button");
var grommet_1 = require("grommet");
var Wrapper = (0, styled_components_1.default)(Flex_1.Flex)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tposition: relative;\n\twidth: 100%;\n\tborder-bottom: 1px solid ", ";\n\tpadding-left: 24px;\n\tpadding-top: 4px;\n\n\t.search-icon {\n\t\tcolor: ", ";\n\t\tposition: absolute;\n\t\ttop: 50%;\n\t\tleft: ", ";\n\t\ttransform: translateY(-50%);\n\t}\n\t.clear-icon {\n\t\tcolor: ", ";\n\t\tposition: absolute;\n\t\ttop: 50%;\n\t\tright: ", ";\n\t\ttransform: translateY(-50%);\n\t}\n\tinput {\n\t\toutline: none;\n\t\tbackground: transparent;\n\t\tbox-shadow: none;\n\t\tborder: none;\n\t\twidth: 100%;\n\t\tfont-size: inherit;\n\t\tpadding: 4px;\n\t\theight: auto;\n\t\tfont-family: ", ";\n\n\t\t&:hover {\n\t\t\tbox-shadow: none;\n\t\t}\n\t\t::placeholder {\n\t\t\tcolor: ", ";\n\t\t\tfont-family: ", ";\n\t\t}\n\t}\n"], ["\n\tposition: relative;\n\twidth: 100%;\n\tborder-bottom: 1px solid ", ";\n\tpadding-left: 24px;\n\tpadding-top: 4px;\n\n\t.search-icon {\n\t\tcolor: ", ";\n\t\tposition: absolute;\n\t\ttop: 50%;\n\t\tleft: ", ";\n\t\ttransform: translateY(-50%);\n\t}\n\t.clear-icon {\n\t\tcolor: ", ";\n\t\tposition: absolute;\n\t\ttop: 50%;\n\t\tright: ", ";\n\t\ttransform: translateY(-50%);\n\t}\n\tinput {\n\t\toutline: none;\n\t\tbackground: transparent;\n\t\tbox-shadow: none;\n\t\tborder: none;\n\t\twidth: 100%;\n\t\tfont-size: inherit;\n\t\tpadding: 4px;\n\t\theight: auto;\n\t\tfont-family: ", ";\n\n\t\t&:hover {\n\t\t\tbox-shadow: none;\n\t\t}\n\t\t::placeholder {\n\t\t\tcolor: ", ";\n\t\t\tfont-family: ", ";\n\t\t}\n\t}\n"])), function (props) { return props.theme.colors.quartenary.main; }, function (props) { return props.theme.colors.tertiary.semilight; }, function (props) { return (0, utils_1.px)(props.theme.space[2]); }, function (props) { return props.theme.colors.tertiary.semilight; }, function (props) { return (0, utils_1.px)(props.theme.space[2]); }, function (props) { return props.theme.font; }, function (props) { return props.theme.colors.tertiary.semilight; }, function (props) { return props.theme.font; });
var BaseSearch = React.forwardRef(function (_a, ref) {
    var className = _a.className, dark = _a.dark, disabled = _a.disabled, placeholder = _a.placeholder, value = _a.value, onChange = _a.onChange, onEnter = _a.onEnter;
    return (React.createElement(Wrapper, { className: className },
        React.createElement(grommet_1.Keyboard, { onEnter: onEnter },
            React.createElement("input", { style: { color: dark ? '#fff' : undefined }, disabled: disabled, placeholder: placeholder || 'Search entries...', value: value, onChange: onChange, ref: ref })),
        React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faSearch_1.faSearch, className: "search-icon" }),
        !!value && (React.createElement(Button_1.Button, { plain: true, className: "clear-icon", onClick: function () {
                if (onChange) {
                    onChange({ target: { value: '' } });
                }
            } },
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faTimes_1.faTimes })))));
});
exports.Search = (0, asRendition_1.default)(BaseSearch);
var templateObject_1;
