"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tabs = exports.Tab = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var grommet_1 = require("grommet");
var react_1 = __importDefault(require("react"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var ScrollWrapper = (0, styled_components_1.default)(grommet_1.Tabs)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tposition: relative;\n\tdisplay: flex;\n\talign-items: stretch;\n\theight: 100%;\n\n\tdiv[role='tabpanel'] {\n\t\tdisplay: flex;\n\t\tflex: 1;\n\t}\n\n\t", "\n"], ["\n\tposition: relative;\n\tdisplay: flex;\n\talign-items: stretch;\n\theight: 100%;\n\n\tdiv[role='tabpanel'] {\n\t\tdisplay: flex;\n\t\tflex: 1;\n\t}\n\n\t", "\n"])), function (props) {
    if (props.compact) {
        return "\n\t\t\t\twidth: 100%;\n\n\t\t\t\t& > div {\n\t\t\t\t\tscroll-snap-type: x mandatory;\n\t\t\t\t\toverflow-x: scroll;\n\t\t\t\t\tdisplay: flex;\n\t\t\t\t\tflex-wrap: nowrap;\n\t\t\t\t}\n\n\t\t\t\tdiv[role=tabpanel] {\n\t\t\t\t\toverflow-x: auto;\n\t\t\t\t}\n\t\t\t\t\n\t\t\t\tdiv > button[role=tab] > div {\n\t\t\t\t\twhite-space: nowrap;\n\t\t\t\t\toverflow: hidden;\n\t\t\t\t\ttext-overflow: ellipsis;\n\t\t\t\t\tscroll-snap-align: center;\n\t\t\t\t}\n\t\t\t";
    }
});
var Tab = function (props) { return react_1.default.createElement(grommet_1.Tab, __assign({}, props)); };
exports.Tab = Tab;
var TabsBase = function (_a) {
    var children = _a.children, _b = _a.compact, compact = _b === void 0 ? false : _b, props = __rest(_a, ["children", "compact"]);
    return (react_1.default.createElement(ScrollWrapper, __assign({ justify: "start", compact: compact }, props), children));
};
exports.Tabs = (0, asRendition_1.default)(TabsBase);
var templateObject_1;
