"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CaretButton = void 0;
var faCaretDown_1 = require("@fortawesome/free-solid-svg-icons/faCaretDown");
var faCaretUp_1 = require("@fortawesome/free-solid-svg-icons/faCaretUp");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var CaretButtonBase = styled_components_1.default.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n\tpadding: 0;\n\tborder: 0 none;\n\tfont-size: 16px;\n\tfont-weight: normal;\n\tcolor: #b3b6b9;\n\tbackground-color: transparent;\n"], ["\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n\tpadding: 0;\n\tborder: 0 none;\n\tfont-size: 16px;\n\tfont-weight: normal;\n\tcolor: #b3b6b9;\n\tbackground-color: transparent;\n"])));
var CaretIconContainer = styled_components_1.default.span(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tfont-size: 14px;\n"], ["\n\tfont-size: 14px;\n"])));
var CaretButton = function (_a) {
    var isExpanded = _a.isExpanded, onClick = _a.onClick, children = _a.children, className = _a.className;
    return (React.createElement(CaretButtonBase, { className: className, onClick: onClick },
        React.createElement("span", null, children),
        React.createElement(CaretIconContainer, { style: { marginLeft: children ? '4px' : 0 } }, isExpanded ? (React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faCaretUp_1.faCaretUp })) : (React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faCaretDown_1.faCaretDown })))));
};
exports.CaretButton = CaretButton;
var templateObject_1, templateObject_2;
