"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MinMaxRows = exports.AutoRows = exports.ReadOnly = exports.Disabled = exports.Monospace = exports.WithPlaceholder = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var _1 = require(".");
exports.default = {
    title: 'Core/Textarea',
    component: _1.Textarea,
};
var Template = (0, utils_1.createTemplate)(_1.Textarea);
exports.Default = (0, utils_1.createStory)(Template, {});
exports.WithPlaceholder = (0, utils_1.createStory)(Template, {
    placeholder: 'Type something...',
});
exports.Monospace = (0, utils_1.createStory)(Template, {
    placeholder: 'Type something...',
    monospace: true,
});
exports.Disabled = (0, utils_1.createStory)(Template, {
    disabled: true,
});
exports.ReadOnly = (0, utils_1.createStory)(Template, {
    readOnly: true,
});
exports.AutoRows = (0, utils_1.createStory)(Template, {
    autoRows: true,
});
exports.MinMaxRows = (0, utils_1.createStory)(Template, {
    minRows: 4,
    maxRows: 8,
});
