import * as React from 'react';
import { PopoverOptions } from '../components/Popover';
export interface ConfirmOptions extends PopoverOptions {
    text: React.ClassicElement<any> | string;
}
export declare const useForwardedRef: <T extends {}>(ref: React.MutableRefObject<T | null> | ((instance: T | null) => void) | null) => React.RefObject<T>;
interface BaseProps<T> {
    onClick: (e: React.SyntheticEvent<T>) => any;
}
interface ForwardedComponentProps<T> {
    confirmation: ConfirmOptions | string;
    onClick: (e: React.SyntheticEvent<T>) => any;
}
export declare function withConfirm<T extends {}>(Base: React.ForwardRefExoticComponent<BaseProps<T> & React.RefAttributes<T>>): React.ForwardRefExoticComponent<ForwardedComponentProps<T> & React.RefAttributes<T>>;
export {};
