import * as React from 'react';
import { DeviceType } from './models';
export declare const getUserOs: () => "Linux" | "MacOS" | "Windows" | "Unknown";
export type OsOptions = ReturnType<typeof getUserOs>;
export declare const ApplicationInstructions: React.MemoExoticComponent<({ deviceType, templateData, }: {
    deviceType: DeviceType;
    templateData: {
        dockerImage: string;
    };
}) => React.JSX.Element>;
