"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnstableTempDownloadImageModal = exports.DeviceLogo = void 0;
var faTimes_1 = require("@fortawesome/free-solid-svg-icons/faTimes");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var ApplicationInstructions_1 = require("./ApplicationInstructions");
var ImageForm_1 = require("./ImageForm");
var isEmpty_1 = __importDefault(require("lodash/isEmpty"));
var noop_1 = __importDefault(require("lodash/noop"));
var uniq_1 = __importDefault(require("lodash/uniq"));
var models_1 = require("./models");
var Box_1 = require("../../components/Box");
var Flex_1 = require("../../components/Flex");
var Txt_1 = require("../../components/Txt");
var Button_1 = require("../../components/Button");
var Spinner_1 = require("../../components/Spinner");
var Alert_1 = require("../../components/Alert");
var Modal_1 = require("../../components/Modal");
var Img_1 = require("../../components/Img");
var useTranslation_1 = require("../../hooks/useTranslation");
var utils_1 = require("./utils");
var OsConfiguration_1 = require("./OsConfiguration");
exports.DeviceLogo = (0, styled_components_1.default)(Img_1.Img)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t// To prevent Save Image dialog\n\tpointer-events: none;\n\tdisplay: inline-block;\n\theight: 100%;\n\t// required so that icons in long cells show in the Table in FF\n\tmin-width: 16px;\n\tmax-height: ", ";\n\tmax-width: 100%;\n\tvertical-align: middle;\n\n\t&.device-logo--disabled {\n\t\topacity: 0.4;\n\t}\n"], ["\n\t// To prevent Save Image dialog\n\tpointer-events: none;\n\tdisplay: inline-block;\n\theight: 100%;\n\t// required so that icons in long cells show in the Table in FF\n\tmin-width: 16px;\n\tmax-height: ", ";\n\tmax-width: 100%;\n\tvertical-align: middle;\n\n\t&.device-logo--disabled {\n\t\topacity: 0.4;\n\t}\n"])), function (props) { return (props.small ? '16px' : '24px'); });
var FooterlessModal = (0, styled_components_1.default)(Modal_1.Modal)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\t& > div > div:last-child {\n\t\tdisplay: none;\n\t}\n"], ["\n\t& > div > div:last-child {\n\t\tdisplay: none;\n\t}\n"])));
var getUniqueOsTypes = function (osVersions, deviceTypeSlug) {
    if ((0, isEmpty_1.default)(osVersions) ||
        !deviceTypeSlug ||
        (0, isEmpty_1.default)(osVersions[deviceTypeSlug])) {
        return [];
    }
    return (0, uniq_1.default)(osVersions[deviceTypeSlug].map(function (x) { return x.osType; }));
};
var UnstableTempDownloadImageModal = function (_a) {
    var _b;
    var _c, _d, _e, _f;
    var downloadUrl = _a.downloadUrl, application = _a.application, releaseId = _a.releaseId, compatibleDeviceTypes = _a.compatibleDeviceTypes, initialDeviceType = _a.initialDeviceType, initialOsVersions = _a.initialOsVersions, isInitialDefault = _a.isInitialDefault, onDownloadStart = _a.onDownloadStart, getSupportedOsVersions = _a.getSupportedOsVersions, getSupportedOsTypes = _a.getSupportedOsTypes, getDockerArtifact = _a.getDockerArtifact, hasEsrVersions = _a.hasEsrVersions, downloadConfig = _a.downloadConfig, getDownloadSize = _a.getDownloadSize, onClose = _a.onClose, modalActions = _a.modalActions, authToken = _a.authToken, docsIcon = _a.docsIcon, onFieldChange = _a.onFieldChange;
    var t = (0, useTranslation_1.useTranslation)().t;
    var _g = React.useState(initialDeviceType), deviceType = _g[0], setDeviceType = _g[1];
    var _h = React.useState(null), rawVersion = _h[0], setRawVersion = _h[1];
    var _j = React.useState(false), developmentMode = _j[0], setDevelopmentMode = _j[1];
    var _k = React.useState(initialOsVersions !== null && initialOsVersions !== void 0 ? initialOsVersions : {}), osVersions = _k[0], setOsVersions = _k[1];
    var _l = React.useState(), osType = _l[0], setOsType = _l[1];
    var _m = React.useState(getUniqueOsTypes(osVersions, deviceType === null || deviceType === void 0 ? void 0 : deviceType.slug)), osTypes = _m[0], setOsTypes = _m[1];
    var _o = React.useState((deviceType === null || deviceType === void 0 ? void 0 : deviceType.slug)
        ? (_b = {}, _b[deviceType.slug] = osTypes.includes(models_1.OsTypesEnum.ESR), _b) : {}), deviceTypeHasEsr = _o[0], setDeviceTypeHasEsr = _o[1];
    var _p = React.useState(false), isDownloadingConfig = _p[0], setIsDownloadingConfig = _p[1];
    var _q = React.useState((0, isEmpty_1.default)(osVersions)), isFetching = _q[0], setIsFetching = _q[1];
    var logoSrc = (_d = (_c = deviceType === null || deviceType === void 0 ? void 0 : deviceType.logo) !== null && _c !== void 0 ? _c : deviceType === null || deviceType === void 0 ? void 0 : deviceType.logoUrl) !== null && _d !== void 0 ? _d : utils_1.FALLBACK_LOGO_UNKNOWN_DEVICE;
    var defaultDisplayName = (_e = deviceType === null || deviceType === void 0 ? void 0 : deviceType.name) !== null && _e !== void 0 ? _e : '-';
    React.useEffect(function () {
        if (!compatibleDeviceTypes || !hasEsrVersions) {
            return;
        }
        hasEsrVersions(compatibleDeviceTypes.map(function (dt) { return dt.slug; })).then(setDeviceTypeHasEsr);
    }, [compatibleDeviceTypes]);
    React.useEffect(function () {
        if (!deviceType) {
            return;
        }
        var osTypes = getUniqueOsTypes(osVersions, deviceType.slug);
        if (!osTypes.length) {
            return;
        }
        if (!!osType) {
            if (!osTypes.includes(osType)) {
                setOsType(osTypes[0]);
            }
        }
        else {
            setOsType(osTypes.includes(models_1.OsTypesEnum.ESR) ? models_1.OsTypesEnum.ESR : osTypes[0]);
        }
    }, [deviceType === null || deviceType === void 0 ? void 0 : deviceType.slug, osType, osVersions]);
    React.useEffect(function () {
        if (!compatibleDeviceTypes || !getSupportedOsVersions) {
            return;
        }
        getSupportedOsVersions()
            .then(setOsVersions)
            .catch(function (e) {
            console.error(e);
        })
            .finally(function () { return setIsFetching(false); });
    }, [compatibleDeviceTypes, application]);
    React.useEffect(function () {
        if (!deviceType || !getSupportedOsTypes) {
            return;
        }
        getSupportedOsTypes(application.id, deviceType === null || deviceType === void 0 ? void 0 : deviceType.slug).then(setOsTypes);
    }, [deviceType === null || deviceType === void 0 ? void 0 : deviceType.slug, application.id]);
    if (!deviceType) {
        return null;
    }
    return (React.createElement(FooterlessModal, { width: 1400, title: React.createElement(Flex_1.Flex, { style: { height: 32 }, alignItems: "center" },
            React.createElement(exports.DeviceLogo, { small: false, src: logoSrc, title: defaultDisplayName }),
            React.createElement(Txt_1.Txt.span, { ml: 3 }, t('actions.add_new_device')),
            React.createElement(Button_1.Button, { ml: "auto", icon: React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faTimes_1.faTimes }), plain: true, onClick: onClose })), cancel: onClose, done: noop_1.default },
        React.createElement(Flex_1.Flex, { flexDirection: ['column', 'column', 'column', 'row'] },
            React.createElement(Box_1.Box, { flex: 2, mr: [0, 0, 0, 3] },
                React.createElement(Spinner_1.Spinner, { show: isDownloadingConfig, label: t('loading.generating_configuration_file') },
                    React.createElement(Spinner_1.Spinner, { show: isFetching, label: t('loading.fetching_versions') }),
                    !isFetching && (React.createElement(React.Fragment, null,
                        (0, isEmpty_1.default)(osVersions) && (React.createElement(Alert_1.Alert, { plaintext: true, warning: true }, t('no_data.no_os_versions_available_for_download'))),
                        !!osType && !!compatibleDeviceTypes && (React.createElement(ImageForm_1.ImageForm, __assign({ onFieldChange: onFieldChange, onDownloadStart: onDownloadStart, setIsDownloadingConfig: setIsDownloadingConfig, deviceType: deviceType, appId: application.id, releaseId: releaseId, downloadUrl: downloadUrl, rawVersion: rawVersion, developmentMode: developmentMode, modalActions: modalActions, authToken: authToken }, (downloadConfig && {
                            downloadConfig: function (_a) {
                                var appId = _a.appId, releaseId = _a.releaseId, _deviceTypeSlug = _a.deviceType, version = _a.version, model = __rest(_a, ["appId", "releaseId", "deviceType", "version"]);
                                return downloadConfig(deviceType, version, model);
                            },
                        }), (getDownloadSize && {
                            getDownloadSize: function () { return __awaiter(void 0, void 0, void 0, function () { return __generator(this, function (_a) {
                                return [2, getDownloadSize(deviceType, rawVersion)];
                            }); }); },
                        }), { configurationComponent: React.createElement(OsConfiguration_1.OsConfiguration, { compatibleDeviceTypes: compatibleDeviceTypes, selectedDeviceType: deviceType, selectedOsType: osType, deviceTypeOsVersions: osVersions, osTypes: osTypes, isInitialDefault: isInitialDefault, onSelectedDeviceTypeChange: setDeviceType, onSelectedVersionChange: setRawVersion, onSelectedDevelopmentMode: setDevelopmentMode, onSelectedOsTypeChange: setOsType, hasEsrVersions: (_f = deviceTypeHasEsr[deviceType.slug]) !== null && _f !== void 0 ? _f : false, docsIcon: docsIcon }) }))))))),
            React.createElement(Box_1.Box, { flex: 1, ml: [0, 0, 0, 3], mt: [3, 0, 0, 0] },
                React.createElement(ApplicationInstructions_1.ApplicationInstructions, { deviceType: deviceType, templateData: {
                        dockerImage: rawVersion
                            ? getDockerArtifact(deviceType.slug, (0, utils_1.stripVersionBuild)(rawVersion))
                            : '',
                    } })))));
};
exports.UnstableTempDownloadImageModal = UnstableTempDownloadImageModal;
var templateObject_1, templateObject_2;
