import * as React from 'react';
export * from './reactUtils';
export * from './colorUtils';
export * from './schemaUtils';
export * from './styledUtils';
export declare const diff: <T extends unknown>(a: T, b: T) => 0 | 1 | -1;
export declare const hashCode: (text: string, max: number) => number;
export declare const randomString: (length?: number) => string;
export declare const regexEscape: (str: string) => string;
export declare const withConditional: <TProps extends {}>(hoc: (Base: React.ForwardRefExoticComponent<TProps>) => any, fn: (props: TProps) => boolean) => (Base: React.ForwardRefExoticComponent<TProps>) => React.ForwardRefExoticComponent<React.PropsWithoutRef<TProps> & React.RefAttributes<any>>;
export declare const stopEvent: (event: React.MouseEvent<HTMLElement, MouseEvent>) => void;
export declare const stopKeyDownEvent: (e: React.KeyboardEvent<HTMLElement>, keyCode: number, handler?: () => void) => void;
export declare const withPreventDefault: (fn: () => unknown) => (e?: React.FormEvent<HTMLElement>) => unknown;
export declare const getFromLocalStorage: <T extends unknown>(key: string) => T | undefined;
export declare const setToLocalStorage: (key: string, value: any) => void;
export declare const removeFromLocalStorage: (key: string) => void;
export declare const isJson: (str: string) => boolean;
export declare const findInObject: (obj: any, key: string) => any;
export declare const onClickOutOrEsc: (wrapper: HTMLDivElement, callback: () => void) => void;
