import { createTemplate, createStory } from '../../stories/utils';
import { Avatar } from '.';
export default {
    title: 'Core/Avatar',
    component: Avatar,
};
var Template = createTemplate(Avatar);
export var Default = createStory(Template, {});
export var WithFullName = createStory(Template, {
    firstName: 'John',
    lastName: 'Doe',
});
export var WithFirstName = createStory(Template, {
    firstName: 'John',
});
export var WithLastName = createStory(Template, {
    lastName: 'Doe',
});
export var WithImage = createStory(Template, {
    src: 'https://dashboard.balena-cloud.com/img/logo.svg',
});
export var Emphasized = createStory(Template, {
    firstName: 'John',
    lastName: 'Doe',
    emphasized: true,
});
