import { __assign, __makeTemplateObject, __rest } from "tslib";
import { CheckBox as GrommetCheckbox, } from 'grommet';
import * as React from 'react';
import styled from 'styled-components';
import { px } from '../../utils';
import asRendition from '../../asRendition';
export var getHoverStyle = function (props) { return "\n\t& label:hover input:not([disabled]) + span > span {\n\t\tborder-color: ".concat(props.theme.colors.primary.dark, ";\n\t\tbackground: ").concat(props.theme.colors.primary.dark, ";\n\t}\n\t& label:hover input:not([disabled]) + div {\n\t\tborder-color: ").concat(props.theme.colors.tertiary.main, "!important;\n\t}\n\t").concat(props.isChecked
    ? "\n\t\t& label:hover input:not([disabled]) + div {\n\t\t\tborder-color: ".concat(props.theme.colors.primary.dark, " !important;\n\t\t\tbackground: ").concat(props.theme.colors.primary.dark, ";\n\t\t}\n\t\t")
    : '', "\n"); };
var getBaseStyle = function (props) { return "\n\t/* for the checkbox */\n\t& > label > div > div,\n\t/* for the toggle */\n\t& > label > div > span {\n\t\tbackground-color: white;\n\t}\n\t& > label > span {\n\t\tfont-family: ".concat(props.theme.font, ";\n\t\tfont-size: ").concat(px(props.theme.fontSizes[2]), ";\n\t}\n\t").concat(props.isChecked || props.isIndeterminate
    ? "\n\t\t& label input + div {\n\t\t\tborder-color: ".concat(props.theme.colors.primary.main, ";\n\t\t\tbackground: ").concat(props.theme.colors.primary.main, ";\n\t\t\t> svg {\n\t\t\t\tstroke: #fff;\n\t\t\t}\n\t\t}\n\t\t")
    : '', "\n\n\t& label[disabled] {\n\t\topacity: 0.4\n\t}\n"); };
var CheckboxWrapper = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t", "\n\t", "\n"], ["\n\t", "\n\t", "\n"])), getBaseStyle, getHoverStyle);
var BaseCheckbox = function (_a) {
    var className = _a.className, otherProps = __rest(_a, ["className"]);
    return (React.createElement(CheckboxWrapper, { isChecked: otherProps.checked, isIndeterminate: otherProps.indeterminate, className: className },
        React.createElement(GrommetCheckbox, __assign({}, otherProps))));
};
export var Checkbox = asRendition(BaseCheckbox);
var templateObject_1;
