import * as React from 'react';
import { TextAlignProps } from 'styled-system';
import { RenditionSystemProps, Theme } from '../../common-types';
export interface InternalContainerProps extends React.HTMLAttributes<HTMLElement>, TextAlignProps {
}
export interface ThemedContainerProps extends InternalContainerProps {
    theme: Theme;
}
export type ContainerProps = InternalContainerProps & RenditionSystemProps;
export declare const Container: React.FunctionComponent<ContainerProps>;
