import type { JSONSchema7 as JSONSchema } from 'json-schema';
import * as arrayType from './array';
import * as booleanType from './boolean';
import * as dateTimeType from './date-time';
import * as enumType from './enum';
import * as numberType from './number';
import * as objectType from './object';
import * as oneOfType from './oneOf';
import * as stringType from './string';
export type OperatorSlugs = arrayType.OperatorSlug | booleanType.OperatorSlug | dateTimeType.OperatorSlug | enumType.OperatorSlug | numberType.OperatorSlug | objectType.OperatorSlug | oneOfType.OperatorSlug | stringType.OperatorSlug;
export declare const isDateTimeFormat: (format: string | undefined) => boolean | undefined;
export declare const getDataModel: (schema: JSONSchema | undefined) => typeof arrayType | typeof booleanType | typeof dateTimeType | typeof enumType | typeof objectType | null;
