import * as React from 'react';
import { Renderer } from '../../../components/Renderer';
import Theme from '../../../theme';
export var DescriptionField = function (_a) {
    var id = _a.id, description = _a.description;
    if (!description) {
        return null;
    }
    return (React.createElement(Renderer, { id: id, className: "rendition-form-description", color: Theme.colors.text.light, fontSize: 1, value: description, schema: {
            type: 'string',
            format: 'markdown',
        } }));
};
