import { __assign, __makeTemplateObject, __rest } from "tslib";
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import * as React from 'react';
import theme from '../../theme';
import { Box } from '../Box';
import { Flex } from '../Flex';
import { Button } from '../Button';
import { faBars } from '@fortawesome/free-solid-svg-icons/faBars';
import styled from 'styled-components';
var BaseHeader = styled(Box)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tz-index: 12;\n\tposition: relative;\n\twidth: 100%;\n"], ["\n\tz-index: 12;\n\tposition: relative;\n\twidth: 100%;\n"])));
export var Header = function (_a) {
    var rightContent = _a.rightContent, leftContent = _a.leftContent, isSidebarCollapsed = _a.isSidebarCollapsed, setIsSidebarCollapsed = _a.setIsSidebarCollapsed, props = __rest(_a, ["rightContent", "leftContent", "isSidebarCollapsed", "setIsSidebarCollapsed"]);
    return (React.createElement(BaseHeader, __assign({ width: "100%", backgroundColor: "secondary.main" }, props),
        React.createElement(Flex, { justifyContent: "space-between", mx: 3 },
            React.createElement(Flex, { justifyContent: "space-between", alignItems: "center", ml: 0, mr: "auto" },
                setIsSidebarCollapsed && (React.createElement(Button, { plain: true, color: theme.colors.quartenary.main, ml: "auto", display: ['block', 'block', 'none'], onClick: function () {
                        setIsSidebarCollapsed(!isSidebarCollapsed);
                    }, "aria-label": "Toggle navigation", fontSize: 5 },
                    React.createElement(FontAwesomeIcon, { icon: faBars }))),
                leftContent),
            React.createElement(Flex, { justifyContent: "space-between", alignItems: "center", ml: "auto", mr: 0 }, rightContent))));
};
var templateObject_1;
