import { __assign } from "tslib";
import React from 'react';
import { createTemplate, createStory } from '../../stories/utils';
import { Pager } from '.';
var PagerDemo = function (props) {
    var _a = React.useState(props.page), page = _a[0], setPage = _a[1];
    return (React.createElement(Pager, __assign({}, props, { page: page, nextPage: function () { return setPage(page + 1); }, prevPage: function () { return setPage(page - 1); } })));
};
export default {
    title: 'Core/Pager',
    component: Pager,
};
var Template = createTemplate(PagerDemo);
export var Default = createStory(Template, {
    totalItems: 436,
    itemsPerPage: 50,
    page: 1,
    nextPage: function () { return null; },
    prevPage: function () { return null; },
});
export var Fuzzy = createStory(Template, {
    totalItems: 200,
    itemsPerPage: 50,
    page: 1,
    nextPage: function () { return null; },
    prevPage: function () { return null; },
    fuzzy: true,
});
