import * as React from 'react';
import { FlexProps } from '../Flex';
export interface PagerProps extends FlexProps {
    totalItems: number;
    itemsPerPage: number;
    page: number;
    nextPage: () => void;
    prevPage: () => void;
    fuzzy?: boolean;
}
export declare const Pager: ({ fuzzy, totalItems, itemsPerPage, page, nextPage, prevPage, ...props }: PagerProps) => React.JSX.Element;
