import { __assign } from "tslib";
import React from 'react';
import { createTemplate, createStory } from '../../stories/utils';
import { Popover } from '.';
import { Box, Txt } from '../..';
var PopoverDemo = function (props) {
    var _a = React.useState(null), target = _a[0], setTarget = _a[1];
    return (React.createElement(Box, { m: 3 },
        target && React.createElement(Popover, __assign({ target: target }, props)),
        React.createElement("span", { ref: setTarget }, "Popover target")));
};
export default {
    title: 'Core/Popover',
    component: Popover,
    parameters: {
        docs: {
            inlineStories: false,
            iframeHeight: 100,
        },
    },
};
var Template = createTemplate(PopoverDemo);
export var Default = createStory(Template, {
    children: (React.createElement(Txt, { align: "center", p: 3 }, "Popover content")),
    placement: 'right',
});
