import * as React from 'react';
import { Coloring, RenditionSystemProps, Sizing, Theme } from '../../common-types';
export interface InternalProgressBarProps extends React.HTMLAttributes<HTMLElement>, Coloring, Sizing {
    value: number;
    color?: string;
    background?: string;
}
export interface ThemedProgressBarProps extends InternalProgressBarProps {
    theme: Theme;
}
export type ProgressBarProps = InternalProgressBarProps & RenditionSystemProps;
export declare const ProgressBar: React.FunctionComponent<ProgressBarProps>;
