import { RadioButtonProps as GrommetRadioButtonProps } from 'grommet';
import * as React from 'react';
import { Omit, RenditionSystemProps } from '../../common-types';
export declare const getHoverStyle: (props: any) => string;
export declare const getCheckedStyle: (props: any) => string;
export declare const getBaseStyle: (props: any) => string;
interface InternalRadioButtonProps extends Omit<GrommetRadioButtonProps, 'name'>, React.HTMLAttributes<HTMLElement> {
    name?: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
export type RadioButtonProps = InternalRadioButtonProps & RenditionSystemProps;
export declare const RadioButton: React.FunctionComponent<RadioButtonProps>;
export {};
