import React from 'react';
import { Txt } from '../../Txt';
import { JsonTypes } from '../types';
import { widgetFactory } from './widget-util';
export var CodeWidget = widgetFactory('Code', {}, [JsonTypes.string])(function (_a) {
    var value = _a.value;
    return (React.createElement(Txt, { code: true, truncate: true, copy: value, style: { maxWidth: '200px' }, tooltip: value }, value));
});
