import { __assign } from "tslib";
import React from 'react';
import { Flex } from '../../Flex';
import { Txt } from '../../Txt';
import { JsonTypes } from '../types';
import { widgetFactory } from './widget-util';
export var PlaceholderTextWidget = widgetFactory('PlaceholderText', {}, [
    JsonTypes.string,
    JsonTypes.number,
    JsonTypes.null,
])(function (_a) {
    var value = _a.value;
    var val = value === null || value === ''
        ? 'Empty'
        : typeof value !== 'string'
            ? value.toString()
            : value;
    return (React.createElement(Flex, null,
        React.createElement(Txt, __assign({ maxWidth: "300px", truncate: true, title: val }, (!value && { color: 'gray.main' }), { italic: !value }), val)));
});
