import { __assign, __makeTemplateObject } from "tslib";
import React from 'react';
import styled from 'styled-components';
var Layer = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tposition: absolute;\n\tz-index: 20;\n\t", "\n"], ["\n\tposition: absolute;\n\tz-index: 20;\n\t", "\n"])), function (props) {
    var _a;
    return "\n\t\topacity: ".concat((_a = props.opacity) !== null && _a !== void 0 ? _a : 0.5, ";\n    background: ").concat(props.layerColor || 'white', ";\n    top: ").concat(props.top || 0, "px;\n    bottom: ").concat(props.bottom || 0, "px;\n    left: ").concat(props.left || 0, "px;\n    right: ").concat(props.right || 0, "px;\n    height: ").concat(props.height != null ? props.height + 'px' : 'auto', ";\n  ");
});
export var getBoundingContainerRect = function (element) {
    var _a;
    if (!element) {
        return null;
    }
    var parent = (_a = element.offsetParent) !== null && _a !== void 0 ? _a : document.body;
    var top = element.offsetTop + parent.offsetTop;
    var left = element.offsetLeft + parent.offsetLeft;
    var height = element.clientHeight;
    return {
        top: top,
        bottom: top + height,
        left: left,
        right: left + element.clientWidth,
        height: height,
        width: element.clientWidth,
        x: top,
        y: left,
    };
};
export var SurroundingOverlay = function (_a) {
    var _b, _c, _d, _e;
    var rect = _a.rect, layerColor = _a.layerColor, _f = _a.padding, padding = _f === void 0 ? 0 : _f, opacity = _a.opacity;
    if (!rect) {
        return null;
    }
    var top = (_b = rect.top) !== null && _b !== void 0 ? _b : 0;
    var left = (_c = rect.left) !== null && _c !== void 0 ? _c : 0;
    var height = (_d = rect.height) !== null && _d !== void 0 ? _d : 0;
    var width = (_e = rect.width) !== null && _e !== void 0 ? _e : 0;
    var topDistance = top + height + padding;
    var lateralLayersTop = Math.max(top - padding, 0);
    var lateralLayersRight = left + width + padding;
    var lateralLayersHeight = topDistance - lateralLayersTop;
    var layers = {
        topLayer: {
            height: lateralLayersTop,
        },
        bottomLayer: {
            top: topDistance,
        },
        rightLayer: {
            top: lateralLayersTop,
            left: lateralLayersRight,
            height: lateralLayersHeight,
        },
        leftLayer: {
            top: lateralLayersTop,
            right: lateralLayersRight,
            height: lateralLayersHeight,
        },
    };
    return (React.createElement(React.Fragment, null, Object.values(layers).map(function (layerProps, index) { return (React.createElement(Layer, __assign({ key: index }, layerProps, { layerColor: layerColor, opacity: opacity }))); })));
};
var templateObject_1;
