import * as React from 'react';
import { RenditionSystemProps } from '../../common-types';
export interface TagItem {
    value?: string;
    name?: string;
    operator?: string;
    prefix?: string;
}
export interface InternalTagProps {
    value?: string;
    name?: string;
    operator?: string;
    multiple?: TagItem[];
    onClose?: (event: React.MouseEvent<HTMLElement, MouseEvent>) => void;
    onClick?: (event: React.MouseEvent<HTMLElement, MouseEvent>) => void;
    className?: string;
}
export type TagProps = InternalTagProps & RenditionSystemProps;
export declare const Tag: React.FunctionComponent<TagProps>;
