import * as React from 'react';
import { Modal } from '../components/Modal';
import { useTranslation } from '../hooks/useTranslation';
export var SimpleConfirmationModal = function (props) {
    var t = useTranslation().t;
    return (React.createElement(Modal, { title: props.title || t('actions_messages.confirmation'), cancel: function () { return props.onClose(false); }, done: function () { return props.onClose(true); }, primaryButtonProps: props.primaryButtonProps, action: props.action || t('actions.ok') }, props.children));
};
