export declare class Poll {
    private _cancelled;
    get cancelled(): boolean;
    private _counter;
    get counter(): number;
    private graceInterval;
    private pollInterval;
    private lastCompleteTime;
    private blocked;
    private isTabActive;
    private fn;
    private interval;
    constructor(fn: (poll: Poll) => Promise<any>, interval: number, graceRatio: number, isTabActive: boolean);
    poll(opts?: {
        forced?: boolean;
    }): Promise<void>;
    start(): Promise<void> | undefined;
    stop(): void;
    destroy(): void;
}
export declare const createPoll: (fn: (poll: Poll) => Promise<any>, interval?: number, isTabActive?: boolean, graceRatio?: number) => Poll;
