import * as React from 'react';
export declare const getDisplayName: (component: React.ComponentType) => string;
export declare const styledSystemProps: string[];
export declare const withStyledSystem: (child: React.ComponentType) => React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<unknown>>;
export declare const withTooltip: (Base: React.ComponentType) => React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<unknown>>;
export default function asRendition<T extends React.ComponentType>(component: T, additionalEnhancers?: Array<(Base: React.ComponentType) => React.ComponentType>, passthroughProps?: string[]): T;
