"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Emphasized = exports.WithImage = exports.WithLastName = exports.WithFirstName = exports.WithFullName = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var _1 = require(".");
exports.default = {
    title: 'Core/Avatar',
    component: _1.Avatar,
};
var Template = (0, utils_1.createTemplate)(_1.Avatar);
exports.Default = (0, utils_1.createStory)(Template, {});
exports.WithFullName = (0, utils_1.createStory)(Template, {
    firstName: 'John',
    lastName: 'Doe',
});
exports.WithFirstName = (0, utils_1.createStory)(Template, {
    firstName: 'John',
});
exports.WithLastName = (0, utils_1.createStory)(Template, {
    lastName: 'Doe',
});
exports.WithImage = (0, utils_1.createStory)(Template, {
    src: 'https://dashboard.balena-cloud.com/img/logo.svg',
});
exports.Emphasized = (0, utils_1.createStory)(Template, {
    firstName: 'John',
    lastName: 'Doe',
    emphasized: true,
});
