import * as React from 'react';
import { AvatarProps as GrommetAvatarProps } from 'grommet';
import { RenditionSystemProps } from '../../common-types';
export interface InternalAvatarProps extends React.HTMLAttributes<HTMLElement>, Omit<GrommetAvatarProps, 'size'> {
    firstName?: string;
    lastName?: string;
    emphasized?: boolean;
}
export type AvatarProps = InternalAvatarProps & RenditionSystemProps;
export declare const Avatar: React.FunctionComponent<AvatarProps>;
