"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithRows = exports.WithHeader = exports.Small = exports.Default = void 0;
var React = __importStar(require("react"));
var __1 = require("../..");
var utils_1 = require("../../stories/utils");
var _1 = require("./");
var rows = [
    React.createElement("div", null, "Lorem Ipsum dolor si amet"),
    React.createElement(__1.Link, { href: "www.balena.io" }, "Link"),
    React.createElement(__1.Txt, { showCopyMode: "always", copy: "This value has been copied to your clipboard!" }, "Row with Copy component"),
    React.createElement(__1.Flex, { justifyContent: "space-between" },
        React.createElement("div", null, "Row with"),
        React.createElement("div", null, "Flex")),
    React.createElement("div", null, "Lorem Ipsum dolor si amet"),
];
exports.default = {
    title: 'Core/Card',
    component: _1.Card,
    decorators: [
        function (Story) { return (React.createElement("div", { style: { width: 400, height: 400 } },
            React.createElement(Story, null))); },
    ],
};
var Template = (0, utils_1.createTemplate)(_1.Card);
exports.Default = (0, utils_1.createStory)(Template, {
    children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam\n  scelerisque euismod risus at gravida. Pellentesque a nunc semper,\n  ultrices lacus nec, mattis mauris",
});
exports.Small = (0, utils_1.createStory)(Template, {
    children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam\n  scelerisque euismod risus at gravida. Pellentesque a nunc semper,\n  ultrices lacus nec, mattis mauris",
    small: [true, false, true, true],
});
exports.WithHeader = (0, utils_1.createStory)(Template, {
    title: 'Card with Button',
    cta: (React.createElement(__1.Button, { plain: true, primary: true, onClick: function () { return window.alert('Action with Button'); } }, "Update")),
    children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam\n  scelerisque euismod risus at gravida. Pellentesque a nunc semper,\n  ultrices lacus nec, mattis mauris",
});
exports.WithRows = (0, utils_1.createStory)(Template, {
    title: 'Card with Button',
    cta: React.createElement(__1.Link, { href: "https://balena.io" }, "Link"),
    rows: rows,
});
