"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Copy = void 0;
var faCopy_1 = require("@fortawesome/free-regular-svg-icons/faCopy");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var copy_to_clipboard_1 = __importDefault(require("copy-to-clipboard"));
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var utils_1 = require("../../utils");
var Box_1 = require("../Box");
var ClipboardContainer = (0, styled_components_1.default)(Box_1.Box)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tcursor: pointer;\n\tfont-size: 0.875em;\n"], ["\n\tcursor: pointer;\n\tfont-size: 0.875em;\n"])));
var CopyContainer = (0, styled_components_1.default)(Box_1.Box)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tdisplay: inline-flex;\n\talign-items: center;\n\t", " {\n\t\tvisibility: ", ";\n\t\tsvg {\n\t\t\tmargin: ", ";\n\t\t}\n\t}\n\n\t&:hover {\n\t\t", " {\n\t\t\tvisibility: visible;\n\t\t}\n\t}\n"], ["\n\tdisplay: inline-flex;\n\talign-items: center;\n\t", " {\n\t\tvisibility: ", ";\n\t\tsvg {\n\t\t\tmargin: ", ";\n\t\t}\n\t}\n\n\t&:hover {\n\t\t", " {\n\t\t\tvisibility: visible;\n\t\t}\n\t}\n"])), ClipboardContainer, function (props) { return (props.show === 'always' ? 'visible' : 'hidden'); }, function (props) { return "0 ".concat((0, utils_1.px)(props.theme.space[1])); }, ClipboardContainer);
var BaseCopy = function (_a) {
    var content = _a.content, show = _a.show, children = _a.children, onClick = _a.onClick, onCopy = _a.onCopy, otherProps = __rest(_a, ["content", "show", "children", "onClick", "onCopy"]);
    var normalizedText = (content || '').toString().trim();
    return (React.createElement(CopyContainer, __assign({ show: !!children ? show : 'always' }, otherProps),
        children,
        React.createElement(ClipboardContainer, { tooltip: { text: 'Copied!', trigger: 'click' }, onClick: function (e) {
                e.stopPropagation();
                e.preventDefault();
                (0, copy_to_clipboard_1.default)(normalizedText);
                if (onClick) {
                    onClick(normalizedText);
                }
                onCopy === null || onCopy === void 0 ? void 0 : onCopy(e);
            } },
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faCopy_1.faCopy }))));
};
exports.Copy = BaseCopy;
var templateObject_1, templateObject_2;
