import { OperatorSlugs } from '.';
import { Operator } from '../Filters/SchemaSieve';
import { JSONSchema } from '../Renderer/types';
export declare const getJsonDescription: (title: string | undefined, field: string, operator: Operator<OperatorSlugs>, value: string, label: string | undefined, refScheme: string | undefined) => string;
export type CreateFilter<TOperatorSlugs> = (field: string, operator: Operator<TOperatorSlugs>, value: any, subSchema: JSONSchema, refScheme?: string) => JSONSchema;
