"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithTextContent = exports.Dashed = exports.WithCustomColor = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var _1 = require(".");
exports.default = {
    title: 'Core/Divider',
    component: _1.Divider,
};
var Template = (0, utils_1.createTemplate)(_1.Divider);
exports.Default = (0, utils_1.createStory)(Template, {});
exports.WithCustomColor = (0, utils_1.createStory)(Template, {
    color: '#ccc',
});
exports.Dashed = (0, utils_1.createStory)(Template, {
    type: 'dashed',
});
exports.WithTextContent = (0, utils_1.createStory)(Template, {
    type: 'dashed',
    children: 'some text',
});
