import * as React from 'react';
import { RenditionSystemProps } from '../../common-types';
export interface InternalDividerProps extends React.HTMLAttributes<HTMLElement> {
    height?: number;
    color?: string;
    children?: string;
    type?: 'solid' | 'dashed';
}
export type DividerProps = InternalDividerProps & RenditionSystemProps;
export declare const Divider: React.ForwardRefExoticComponent<InternalDividerProps & import("../../common-types").StyledSystemProps & import("../../common-types").Tooltip & React.RefAttributes<HTMLHRElement>>;
