import type { JSONSchema7 as JSONSchema } from 'json-schema';
import * as React from 'react';
import { FilterRenderMode, FiltersView } from '.';
import { DropDownButtonProps } from '../DropDownButton';
declare const ViewsMenu: ({ views, renderMode, compact, deleteView, setFilters, disabled, dark, buttonProps, }: ViewsMenuProps) => React.JSX.Element;
export interface ViewsMenuProps {
    buttonProps?: DropDownButtonProps;
    disabled?: boolean;
    dark?: boolean;
    views: FiltersView[];
    schema: JSONSchema;
    setFilters: (filters: JSONSchema[]) => void;
    deleteView: (view: FiltersView) => any;
    renderMode?: FilterRenderMode | FilterRenderMode[];
    compact?: boolean[];
}
export default ViewsMenu;
