"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FlexOnChildren = exports.Wrap = exports.ColumnDirection = exports.Justified = exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var _1 = require(".");
var __1 = require("../..");
exports.default = {
    title: 'Core/Flex',
    component: _1.Flex,
};
var Template = (0, utils_1.createTemplate)(_1.Flex);
exports.Default = (0, utils_1.createStory)(Template, {
    children: (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "blue" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "green" }))),
});
exports.Justified = (0, utils_1.createStory)(Template, {
    justifyContent: 'space-between',
    children: (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "blue" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "green" }))),
});
exports.ColumnDirection = (0, utils_1.createStory)(Template, {
    flexDirection: 'column',
    children: (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "blue" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "green" }))),
});
exports.Wrap = (0, utils_1.createStory)(Template, {
    flexWrap: 'wrap',
    children: (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "blue" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "green" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "blue" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "green" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "blue" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "green" }))),
});
exports.FlexOnChildren = (0, utils_1.createStory)(Template, {
    flexWrap: 'wrap',
    children: (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, flex: "1", bg: "red" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "blue" }),
        react_1.default.createElement(__1.Box, { style: { height: 200, width: 200 }, bg: "green" }))),
});
