import * as React from 'react';
import { RenditionSystemProps } from '../../common-types';
export interface InternalLinkProps extends Omit<React.HTMLAttributes<HTMLElement>, 'is' | 'css'> {
    blank?: boolean;
    disabled?: boolean;
    download?: any;
    href?: string;
    hrefLang?: string;
    media?: string;
    rel?: string;
    target?: string;
    type?: string;
    is?: React.ElementType;
    decor?: string;
    color?: string;
}
export type LinkProps = InternalLinkProps & RenditionSystemProps;
export declare const Link: React.FunctionComponent<LinkProps>;
