import { RadioButtonGroupProps as GrommetRadioButtonGroupProps } from 'grommet';
import * as React from 'react';
import { Omit, RenditionSystemProps } from '../../common-types';
interface InternalRadioButtonGroupProps extends Omit<GrommetRadioButtonGroupProps, 'name'>, React.HTMLAttributes<HTMLElement> {
    name?: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
export type RadioButtonGroupProps = InternalRadioButtonGroupProps & RenditionSystemProps;
export declare const RadioButtonGroup: React.FunctionComponent<RadioButtonGroupProps>;
export {};
