import * as React from 'react';
import { RenditionSystemProps } from '../../../common-types';
import type { Value, JSONSchema, UiSchema } from '../types';
interface InternalRendererPlaygroundProps extends React.HTMLAttributes<HTMLElement> {
    title?: string;
    examples?: {
        [key: string]: {
            value: Value;
            schema: JSONSchema;
            uiSchema: UiSchema;
        };
    };
}
export type RendererPlaygroundProps = InternalRendererPlaygroundProps & RenditionSystemProps;
export declare const RendererPlayground: React.FunctionComponent<RendererPlaygroundProps>;
export {};
