"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
jest.mock('mermaid', function () { return 'Mermaid'; });
var react_1 = __importDefault(require("react"));
var react_2 = require("@testing-library/react");
var forEach_1 = __importDefault(require("lodash/forEach"));
var __1 = require("../..");
var _1 = require(".");
var examples_1 = __importStar(require("./examples"));
describe('Renderer component', function () {
    var _aMermaidField = examples_1.default["A mermaid field"], _aDateTimeField = examples_1.default["A date time field"], exampledToTest = __rest(examples_1.default, ['A mermaid field', 'A date time field']);
    (0, forEach_1.default)(exampledToTest, function (example, label) {
        it(label, function () {
            var container = (0, react_2.render)(react_1.default.createElement(__1.Provider, { widgets: {
                    renderer: {
                        formats: examples_1.EXTRA_FORMATS,
                    },
                } },
                react_1.default.createElement(_1.Renderer, __assign({ validate: true }, example, { extraContext: __assign(__assign({}, examples_1.CONTEXT_FUNCTIONS), { root: example.value }) })))).container;
            expect(container).toMatchSnapshot();
        });
    });
});
