"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BooleanAsIconWidget = void 0;
var faCheckCircle_1 = require("@fortawesome/free-solid-svg-icons/faCheckCircle");
var faTimesCircle_1 = require("@fortawesome/free-solid-svg-icons/faTimesCircle");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var react_1 = __importDefault(require("react"));
var Flex_1 = require("../../Flex");
var Txt_1 = require("../../Txt");
var types_1 = require("../types");
var widget_util_1 = require("./widget-util");
exports.BooleanAsIconWidget = (0, widget_util_1.widgetFactory)('BooleanAsIcon', {}, [
    types_1.JsonTypes.boolean,
    types_1.JsonTypes.null,
])(function (_a) {
    var value = _a.value;
    var text = value ? 'true' : 'false';
    return (react_1.default.createElement(Flex_1.Flex, { alignItems: "center" },
        react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: value ? faCheckCircle_1.faCheckCircle : faTimesCircle_1.faTimesCircle }),
        ' ',
        react_1.default.createElement(Txt_1.Txt, { ml: "1" }, text)));
});
