"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeWidget = void 0;
var react_1 = __importDefault(require("react"));
var Txt_1 = require("../../Txt");
var types_1 = require("../types");
var widget_util_1 = require("./widget-util");
exports.CodeWidget = (0, widget_util_1.widgetFactory)('Code', {}, [types_1.JsonTypes.string])(function (_a) {
    var value = _a.value;
    return (react_1.default.createElement(Txt_1.Txt, { code: true, truncate: true, copy: value, style: { maxWidth: '200px' }, tooltip: value }, value));
});
