"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaceholderTextWidget = void 0;
var react_1 = __importDefault(require("react"));
var Flex_1 = require("../../Flex");
var Txt_1 = require("../../Txt");
var types_1 = require("../types");
var widget_util_1 = require("./widget-util");
exports.PlaceholderTextWidget = (0, widget_util_1.widgetFactory)('PlaceholderText', {}, [
    types_1.JsonTypes.string,
    types_1.JsonTypes.number,
    types_1.JsonTypes.null,
])(function (_a) {
    var value = _a.value;
    var val = value === null || value === ''
        ? 'Empty'
        : typeof value !== 'string'
            ? value.toString()
            : value;
    return (react_1.default.createElement(Flex_1.Flex, null,
        react_1.default.createElement(Txt_1.Txt, __assign({ maxWidth: "300px", truncate: true, title: val }, (!value && { color: 'gray.main' }), { italic: !value }), val)));
});
