"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var get_1 = __importDefault(require("lodash/get"));
var startCase_1 = __importDefault(require("lodash/startCase"));
var Box_1 = require("../../Box");
var Txt_1 = require("../../Txt");
function WidgetMeta(_a) {
    var valueKey = _a.valueKey, _b = _a.schema, schema = _b === void 0 ? {} : _b, _c = _a.uiSchema, uiSchema = _c === void 0 ? {} : _c;
    var title = (0, get_1.default)(uiSchema, 'ui:title', schema.title || valueKey);
    var description = (0, get_1.default)(uiSchema, 'ui:description', schema.description);
    if (!title && !description) {
        return null;
    }
    return (React.createElement(Box_1.Box, { mr: 2 },
        title && React.createElement(Txt_1.Txt, { bold: true }, (0, startCase_1.default)(title)),
        description && (React.createElement(Txt_1.Txt, { fontSize: "85%", color: "text.light" }, description))));
}
exports.default = WidgetMeta;
