"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithPlaceholder = exports.Dark = exports.Disabled = exports.Default = void 0;
var utils_1 = require("../../stories/utils");
var _1 = require(".");
exports.default = {
    title: 'Core/Search',
    component: _1.Search,
};
var Template = (0, utils_1.createTemplate)(_1.Search);
exports.Default = (0, utils_1.createStory)(Template, {});
exports.Disabled = (0, utils_1.createStory)(Template, { disabled: true });
exports.Dark = (0, utils_1.createStory)(Template, { dark: true });
exports.WithPlaceholder = (0, utils_1.createStory)(Template, {
    placeholder: 'Search here',
});
