import React from 'react';
import { InternalBadgeProps } from '../Badge';
import { FlexProps } from '../Flex';
export interface MenuItem {
    className?: string;
    href: string;
    title: string;
    disabled?: boolean;
    tooltip?: string;
    badge?: InternalBadgeProps;
    icon?: React.ReactNode;
}
declare const MenuItem: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<import("../Box").BoxProps & React.RefAttributes<HTMLDivElement>>, any, FlexProps & {
    isCurrent: boolean;
    disabled?: boolean | undefined;
}, never>;
export declare const Menu: ({ items, isCollapsed, navLink: NavLink, ...props }: {
    items: MenuItem[];
    navLink: React.FC<{
        to: string;
    }>;
    isCollapsed: boolean;
} & FlexProps) => React.JSX.Element;
export {};
