"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var enzyme_1 = require("enzyme");
var __1 = require("../..");
describe('SurroundingOverlay component', function () {
    it('should render the SurroundingOverlay', function () {
        var rect = {
            top: 0,
            left: 0,
            bottom: 0,
            right: 0,
            x: 0,
            y: 0,
            height: undefined,
            width: 800,
        };
        var component = (0, enzyme_1.mount)(React.createElement(__1.Provider, null,
            React.createElement(__1.SurroundingOverlay, { rect: rect })));
        expect(component.find(__1.SurroundingOverlay).children()).toHaveLength(4);
    });
    it('should not render the SurroundingOverlay', function () {
        var rect = null;
        var component = (0, enzyme_1.mount)(React.createElement(__1.Provider, null,
            React.createElement(__1.SurroundingOverlay, { rect: rect })));
        expect(component.find(__1.SurroundingOverlay).children()).toHaveLength(0);
    });
});
