"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomColumnHeader = void 0;
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var utils_1 = require("../../utils");
var Box_1 = require("../Box");
var DropDownButton_1 = require("../DropDownButton");
var Txt_1 = require("../Txt");
var Wrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tdisplay: flex;\n\talign-items: center;\n\twhite-space: nowrap;\n"], ["\n\tdisplay: flex;\n\talign-items: center;\n\twhite-space: nowrap;\n"])));
var CustomColumnHeader = function (props) {
    var columnInfo = props.columnInfo, items = props.items, disabledItems = props.disabledItems, label = props.label, setColumn = props.setColumn;
    var configured = !!columnInfo.title;
    var memoizedItems = React.useMemo(function () { return [
        items.map(function (item) {
            var disabled = disabledItems.includes(item);
            return {
                content: React.createElement(Box_1.Box, { key: item }, item),
                disabled: disabled,
                tooltip: disabled
                    ? "This ".concat(label.toLowerCase(), " is already selected")
                    : undefined,
                onClick: function () { return setColumn(columnInfo, item); },
            };
        }),
    ]; }, [items, disabledItems, label, setColumn, columnInfo]);
    return (React.createElement(DropDownButton_1.DropDownButton, { label: React.createElement(Wrapper, null,
            React.createElement(Txt_1.Txt, { bold: !configured },
                label,
                ":"),
            configured ? (React.createElement(Txt_1.Txt, { m: "0 3px", bold: true }, columnInfo.title)) : (React.createElement(Txt_1.Txt, { m: "0 3px", color: "text.light" }, "Choose ".concat(label.toLowerCase())))), plain: true, joined: true, alignRight: true, onClick: utils_1.stopEvent, items: memoizedItems }));
};
exports.CustomColumnHeader = CustomColumnHeader;
var templateObject_1;
