"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Compact = exports.WithLongTitles = exports.Default = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("../../stories/utils");
var __1 = require("../../");
var _1 = require(".");
exports.default = {
    title: 'Core/Tabs',
    component: _1.Tabs,
    subcomponents: { Tab: _1.Tab },
};
var Template = (0, utils_1.createTemplate)(_1.Tabs);
exports.Default = (0, utils_1.createStory)(Template, {
    children: [
        react_1.default.createElement(_1.Tab, { title: "Tab 1" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #1")),
        react_1.default.createElement(_1.Tab, { title: "Tab 2" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #2")),
        react_1.default.createElement(_1.Tab, { title: "Tab 3" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #3")),
    ],
});
exports.WithLongTitles = (0, utils_1.createStory)(Template, {
    children: [
        react_1.default.createElement(_1.Tab, { title: "This is a very long tab name" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #1")),
        react_1.default.createElement(_1.Tab, { title: "This is another very long tab name" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #2")),
        react_1.default.createElement(_1.Tab, { title: "And this is a third very long tab name" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #3")),
    ],
});
exports.Compact = (0, utils_1.createStory)(Template, {
    compact: true,
    children: [
        react_1.default.createElement(_1.Tab, { title: "Tab 1" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #1")),
        react_1.default.createElement(_1.Tab, { title: "Tab 2" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #2")),
        react_1.default.createElement(_1.Tab, { title: "Tab 3" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #3")),
        react_1.default.createElement(_1.Tab, { title: "This is a very long tab name" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #1")),
        react_1.default.createElement(_1.Tab, { title: "This is another very long tab name" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Here is tab #2")),
        react_1.default.createElement(_1.Tab, { title: "And this is a third very long tab name testing" },
            react_1.default.createElement(__1.Txt, { mt: 3 }, "Ut eu nulla commodo, sodales est at, ornare quam. Vivamus pellentesque interdum leo, in molestie libero vestibulum nec. Aenean sollicitudin volutpat sollicitudin. Sed quis facilisis lacus. Sed ac congue neque. Mauris feugiat lectus nec mauris blandit, sit amet scelerisque justo mollis. Sed pellentesque neque neque, sed laoreet urna imperdiet et. Vestibulum enim quam, posuere in magna quis, iaculis consectetur augue. Fusce sit amet tempus enim. Mauris at nunc volutpat, facilisis purus in, porttitor ex. Sed ornare orci at leo aliquam tempor. Maecenas ullamcorper ante in auctor pellentesque. Phasellus vitae ultrices ligula, a vehicula lectus. Ut finibus, justo id consequat mattis, neque nibh auctor risus, sit amet tristique purus velit nec lorem. Donec semper volutpat dictum. Vestibulum aliquet pharetra nulla eget pellentesque. Suspendisse aliquam sodales nulla maximus maximus. Mauris tincidunt tincidunt lorem, sed egestas leo tempor nec. Mauris convallis viverra purus in consequat. Nam at pharetra est. Praesent varius, tortor sit amet tristique placerat, mauris nibh malesuada magna, nec sollicitudin nunc magna ac justo. Nam sit amet nibh velit. Nunc eu ex ac nunc mattis hendrerit. Cras eleifend quis quam nec vestibulum. Mauris vulputate tortor in erat sollicitudin, in pulvinar metus porttitor. Vestibulum ac eleifend elit. Quisque gravida dignissim nisi, sed maximus ante vehicula non. Vestibulum vestibulum est sed tortor placerat, id aliquet libero luctus. Vestibulum hendrerit at turpis sit amet posuere.")),
    ],
});
