import * as React from 'react';
import { BoxProps } from '../../components/Box';
export interface MermaidProps extends BoxProps {
    value: string;
    callbackFunctions?: {
        [name: string]: (value: string) => any;
    };
}
export declare class Mermaid extends React.Component<MermaidProps, {}> {
    private renderArea;
    readonly id: string;
    constructor(props: MermaidProps);
    componentDidMount(): void;
    renderSVG(): void;
    componentDidUpdate(prevProps: MermaidProps): void;
    render(): React.JSX.Element;
}
