"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordInput = void 0;
var faEye_1 = require("@fortawesome/free-solid-svg-icons/faEye");
var faEyeSlash_1 = require("@fortawesome/free-solid-svg-icons/faEyeSlash");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var React = __importStar(require("react"));
var Button_1 = require("../../components/Button");
var Input_1 = require("../../components/Input");
var styled_components_1 = __importDefault(require("styled-components"));
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tposition: relative;\n"], ["\n\tposition: relative;\n"])));
var HideButton = (0, styled_components_1.default)(Button_1.Button)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tposition: absolute;\n\tright: 16px;\n\ttop: 50%;\n\ttransform: translate(0, -50%);\n"], ["\n\tposition: absolute;\n\tright: 16px;\n\ttop: 50%;\n\ttransform: translate(0, -50%);\n"])));
var PasswordInput = function (props) {
    var _a = React.useState(false), showPassword = _a[0], setShowPassword = _a[1];
    return (React.createElement(Container, null,
        React.createElement(Input_1.Input, __assign({}, props, { mb: 0, pr: 5, type: showPassword ? 'text' : 'password' })),
        React.createElement(HideButton, { plain: true, icon: showPassword ? (React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faEye_1.faEye })) : (React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faEyeSlash_1.faEyeSlash })), onClick: function () { return setShowPassword(function (x) { return !x; }); } })));
};
exports.PasswordInput = PasswordInput;
var templateObject_1, templateObject_2;
