import { OptionalNavigationResource } from './models';
import { Dictionary } from '../../common-types';
export declare const FALLBACK_LOGO_UNKNOWN_DEVICE = "https://dashboard.balena-cloud.com/img/unknown-device.svg";
export declare const OS_VARIANT_FULL_DISPLAY_TEXT_MAP: Dictionary<string>;
export declare const getExpanded: <T>(obj: OptionalNavigationResource<T>) => NonNullable<T> | undefined;
export declare const stripVersionBuild: (version: string) => string;
export declare const interpolateMustache: (data: {
    [key: string]: string;
}, tpl: string) => string;
export declare const getOsTypeName: (osTypeSlug: string) => "balenaOS" | "balenaOS ESR" | "unknown";
export declare const getOsVariantDisplayText: (variant: string) => string;
