"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.emphasized = exports.monospace = exports.px = exports.bold = exports.normal = void 0;
var styled_components_1 = require("styled-components");
var normal = function (props) { var _a, _b; return (_b = (_a = props.theme) === null || _a === void 0 ? void 0 : _a.weights) === null || _b === void 0 ? void 0 : _b[0]; };
exports.normal = normal;
var bold = function (props) { var _a, _b; return (_b = (_a = props.theme) === null || _a === void 0 ? void 0 : _a.weights) === null || _b === void 0 ? void 0 : _b[1]; };
exports.bold = bold;
var px = function (n) { return (typeof n === 'number' ? n + 'px' : n); };
exports.px = px;
var monospace = function (props) {
    return props.monospace
        ? (0, styled_components_1.css)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t\t\t\tfont-family: ", ";\n\t\t  "], ["\n\t\t\t\tfont-family: ", ";\n\t\t  "])), props.theme.monospace) : null;
};
exports.monospace = monospace;
var emphasized = function (props) {
    return (0, styled_components_1.css)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\t\theight: ", ";\n\t"], ["\n\t\theight: ", ";\n\t"])), (0, exports.px)(props.emphasized ? props.theme.space[5] : props.theme.space[4]));
};
exports.emphasized = emphasized;
var templateObject_1, templateObject_2;
