import React from 'react';
import { createTemplate, createStory } from '../../stories/utils';
import { Alert } from '.';
import { Link } from '../../';
export default {
    title: 'Core/Alert',
    component: Alert,
};
var Template = createTemplate(Alert);
export var Default = createStory(Template, {
    success: true,
    children: 'This is a default alert',
});
export var Emphasized = createStory(Template, {
    info: true,
    emphasized: true,
    children: 'This is an emphasized alert',
});
export var Plaintext = createStory(Template, {
    info: true,
    plaintext: true,
    children: 'This is a plaintext alert',
});
export var WithoutPrefix = createStory(Template, {
    success: true,
    children: 'Without a prefix',
});
export var WithoutDismiss = createStory(Template, {
    success: true,
    children: 'Without a dismiss button',
});
export var WithLink = createStory(Template, {
    success: true,
    children: (React.createElement(React.Fragment, null,
        "With a ",
        React.createElement(Link, { href: "test" }, "link"))),
});
