import * as React from 'react';
import { RenditionSystemProps } from '../../common-types';
import { FlexProps } from '../Flex';
interface WrapperProps extends FlexProps {
    small?: boolean | boolean[];
}
export interface InternalCardProps extends WrapperProps {
    title?: string;
    cta?: JSX.Element;
    rows?: JSX.Element[];
    children?: any;
}
export type CardProps = InternalCardProps & RenditionSystemProps;
export declare const Card: React.FunctionComponent<CardProps>;
export {};
