import { __assign } from "tslib";
import React from 'react';
import { createTemplate, createStory } from '../../stories/utils';
import { Changelog } from '.';
import { ChangelogButton as ChangelogButtonComponent } from './ChangelogButton';
import { Flex } from '../Flex';
import theme from '../../theme';
var getChangelog = function () { return "# v3.4.1\n## (2022-04-01)\n\n* Improved codebase\n\n# v3.4.0\n## (2022-03-30)\n\n* Added a feature\n\n# v3.3.6\n## (2022-03-30)\n\n* Fixed a bug"; };
var ChangelogDemo = function (props) {
    return React.createElement(Changelog, __assign({}, props));
};
var ChangelogModalDemo = function (props) {
    return (React.createElement(Flex, null,
        React.createElement(ChangelogButtonComponent, __assign({}, props, { style: { background: theme.colors.primary.main }, color: "white" }))));
};
export default {
    title: 'Core/Changelog',
    component: Changelog,
};
var Template = createTemplate(ChangelogDemo);
var ButtonTemplate = createTemplate(ChangelogModalDemo);
export var Default = createStory(Template, { getChangelog: getChangelog });
export var ChangelogButton = createStory(ButtonTemplate, {
    getChangelog: getChangelog,
});
