export var operators = function () { return ({
    is: 'is',
}); };
export var createFilter = function (field, operator, value) {
    var _a, _b;
    var operatorSlug = operator.slug;
    var val = typeof value === 'string' ? value.toLowerCase() === 'true' : value;
    if (operatorSlug === 'is') {
        return {
            properties: (_a = {},
                _a[field] = {
                    const: val,
                },
                _a),
            required: [field],
        };
    }
    if (operatorSlug === 'is_not') {
        return {
            properties: (_b = {},
                _b[field] = {
                    not: {
                        const: val,
                    },
                },
                _b),
            required: [field],
        };
    }
    return {};
};
export var uiSchema = function () { return ({
    'ui:widget': 'select',
}); };
