import { FULL_TEXT_SLUG } from '../Filters/SchemaSieve';
import type { CreateFilter } from './utils';
export declare const operators: () => {
    contains: string;
    not_contains: string;
    is: string;
    is_not: string;
    matches_re: string;
    not_matches_re: string;
};
export type OperatorSlug = keyof ReturnType<typeof operators> | typeof FULL_TEXT_SLUG;
export declare const createFilter: CreateFilter<OperatorSlug>;
