import React from 'react';
import type { JSONSchema7 as JSONSchema } from 'json-schema';
interface ViewData {
    name: string;
}
export interface SummaryProps {
    filters: JSONSchema[];
    onEdit: (filter: JSONSchema) => void;
    onDelete: (filter: JSONSchema) => void;
    onClearFilters: () => void;
    showSaveView?: boolean;
    onSaveView: (viewData: ViewData) => void;
}
export declare const Summary: ({ filters, onEdit, onDelete, onClearFilters, showSaveView, onSaveView, }: SummaryProps) => React.JSX.Element;
export {};
