/// <reference types="react" />
import { RenditionSystemProps, ResponsiveStyle } from '../../common-types';
export interface InternalFixedProps extends React.HTMLAttributes<HTMLElement> {
    top?: boolean | ResponsiveStyle;
    right?: boolean | ResponsiveStyle;
    bottom?: boolean | ResponsiveStyle;
    left?: boolean | ResponsiveStyle;
    z?: ResponsiveStyle;
    bg?: string;
}
export type FixedProps = InternalFixedProps & RenditionSystemProps;
export declare const Fixed: import("react").ForwardRefExoticComponent<InternalFixedProps & import("../../common-types").StyledSystemProps & import("../../common-types").Tooltip & import("react").RefAttributes<HTMLDivElement>>;
