import * as React from 'react';
import { RenditionSystemProps } from '../../common-types';
interface InternalHeadingProps extends React.HTMLAttributes<HTMLElement> {
    align?: string;
    monospace?: boolean;
    caps?: boolean;
    bold?: boolean;
}
export type HeadingProps = InternalHeadingProps & RenditionSystemProps;
export declare const Heading: React.FunctionComponent<HeadingProps> & {
    h1: React.FunctionComponent<HeadingProps>;
    h2: React.FunctionComponent<HeadingProps>;
    h3: React.FunctionComponent<HeadingProps>;
    h4: React.FunctionComponent<HeadingProps>;
    h5: React.FunctionComponent<HeadingProps>;
    h6: React.FunctionComponent<HeadingProps>;
};
export {};
