import React from 'react';
import { createTemplate, createStory } from '../../stories/utils';
import { Map } from '.';
var API_KEY = 'AIzaSyAvBsYt6MEiFwFTYfat3Doj5ED2OgbB6m0';
export default {
    title: 'Core/Map',
    component: Map,
    decorators: [
        function (Story) { return (React.createElement("div", { style: { height: 600 } },
            React.createElement(Story, null))); },
    ],
    argTypes: {
        mapClick: { action: 'mapClick' },
    },
};
var Template = createTemplate(Map);
export var Default = createStory(Template, {
    data: [
        {
            id: 1,
            lat: 51.507,
            lng: 0.127,
            title: 'London',
        },
        {
            id: 2,
            lat: 52.366,
            lng: 4.89,
            title: 'Amsterdam',
        },
    ],
    dataMap: {
        lat: function (entry) { return entry.lat; },
        lng: 'lng',
        id: 'id',
        title: 'title',
    },
    apiKey: API_KEY,
});
