import { createTemplate, createStory } from '../../stories/utils';
import { RadioButton } from '../..';
import { RadioButtonGroup } from '.';
export default {
    title: 'Core/RadioButtonGroup',
    component: RadioButtonGroup,
    subcomponents: { RadioButton: RadioButton },
};
var Template = createTemplate(RadioButtonGroup);
export var Default = createStory(Template, {
    options: ['plain 1', 'plain 2'],
    value: 'plain 1',
});
export var WithExpandedOptions = createStory(Template, {
    options: [
        { disabled: true, value: 'disabled', label: 'disabled' },
        { disabled: false, value: 'enabled', label: 'enabled' },
        { disabled: false, value: 'selected', label: 'selected' },
    ],
    value: 'selected',
});
