import { faCheckCircle } from '@fortawesome/free-solid-svg-icons/faCheckCircle';
import { faTimesCircle } from '@fortawesome/free-solid-svg-icons/faTimesCircle';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import React from 'react';
import { Flex } from '../../Flex';
import { Txt } from '../../Txt';
import { JsonTypes } from '../types';
import { widgetFactory } from './widget-util';
export var BooleanAsIconWidget = widgetFactory('BooleanAsIcon', {}, [
    JsonTypes.boolean,
    JsonTypes.null,
])(function (_a) {
    var value = _a.value;
    var text = value ? 'true' : 'false';
    return (React.createElement(Flex, { alignItems: "center" },
        React.createElement(FontAwesomeIcon, { icon: value ? faCheckCircle : faTimesCircle }),
        ' ',
        React.createElement(Txt, { ml: "1" }, text)));
});
