import React from 'react';
import { Txt } from '../../Txt';
import { JsonTypes } from '../types';
import { widgetFactory } from './widget-util';
import { useTranslation } from '../../../hooks/useTranslation';
export var DisabledTextWidget = widgetFactory('DisabledText', {}, [
    JsonTypes.string,
    JsonTypes.number,
    JsonTypes.null,
])(function (_a) {
    var value = _a.value;
    var t = useTranslation().t;
    var val = value != null && typeof value !== 'string' ? value.toString() : value;
    return (React.createElement(Txt, { maxWidth: "350px", truncate: true, title: val !== null && val !== void 0 ? val : t('info.not_defined'), color: "#b3b6b9", monospace: true, copy: val != null && val.length > 45 ? val : undefined, italic: val == null, px: 1 }, val !== null && val !== void 0 ? val : t('info.not_defined')));
});
