import React from 'react';
import { Txt } from '../../Txt';
import { JsonTypes } from '../types';
import { truncateHash, widgetFactory } from './widget-util';
export var HashWidget = widgetFactory('Hash', {}, [JsonTypes.string])(function (_a) {
    var value = _a.value;
    return (React.createElement(Txt, { code: true, copy: value }, truncateHash(value)));
});
