import * as React from 'react';
import { ResourceTagSubmitInfo, SubmitInfo, TaggedResource } from './models';
export declare const UndoButtonMinWidth = 100;
export interface TagManagementModalProps<T> {
    items: T[];
    itemType: string;
    titleField: keyof T | ((item: T) => string);
    tagField: keyof T;
    cancel: () => void;
    done: (tagSubmitInfo: SubmitInfo<ResourceTagSubmitInfo, ResourceTagSubmitInfo>) => void;
}
export declare const TagManagementModal: <T extends TaggedResource>({ items, itemType, titleField, tagField, cancel, done, }: TagManagementModalProps<T>) => React.JSX.Element | null;
