import { createTemplate, createStory } from '../../stories/utils';
import { Textarea } from '.';
export default {
    title: 'Core/Textarea',
    component: Textarea,
};
var Template = createTemplate(Textarea);
export var Default = createStory(Template, {});
export var WithPlaceholder = createStory(Template, {
    placeholder: 'Type something...',
});
export var Monospace = createStory(Template, {
    placeholder: 'Type something...',
    monospace: true,
});
export var Disabled = createStory(Template, {
    disabled: true,
});
export var ReadOnly = createStory(Template, {
    readOnly: true,
});
export var AutoRows = createStory(Template, {
    autoRows: true,
});
export var MinMaxRows = createStory(Template, {
    minRows: 4,
    maxRows: 8,
});
