import { createTemplate, createStory } from '../../stories/utils';
import { Txt } from '.';
export default {
    title: 'Core/Txt',
    component: Txt,
};
var Template = createTemplate(Txt);
var SpanTemplate = createTemplate(Txt.span);
export var Default = createStory(Template, {
    children: 'Standard',
});
export var Styled = createStory(Template, {
    children: 'Styled text',
    bold: true,
    italic: true,
    monospace: true,
});
export var InColor = createStory(Template, {
    children: 'Colored text',
    color: 'blue',
});
export var SpanComponent = createStory(SpanTemplate, {
    children: 'Space   is   preserved',
    whitespace: 'pre',
});
