import { __assign, __rest } from "tslib";
import * as React from 'react';
import { Markdown } from '../Markdown';
import { widgetFactory } from '../../components/Renderer/widgets/widget-util';
import { JsonTypes } from '../../components/Renderer/types';
export var MarkdownWidget = widgetFactory('Markdown', undefined, [
    JsonTypes.string,
])(function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    if (value == null) {
        return null;
    }
    return React.createElement(Markdown, __assign({}, props), value.toString());
});
