import { __assign, __rest } from "tslib";
import * as React from 'react';
import { Mermaid } from '../Mermaid';
import { widgetFactory } from '../../components/Renderer/widgets/widget-util';
import { JsonTypes } from '../../components/Renderer/types';
export var MermaidWidget = widgetFactory('Mermaid', {}, [JsonTypes.string])(function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    if (value == null) {
        return null;
    }
    return React.createElement(Mermaid, __assign({ width: "100%" }, props, { value: value.toString() }));
});
