import { __makeTemplateObject } from "tslib";
import * as React from 'react';
import styled from 'styled-components';
var arrowStyle = "\n\tposition: absolute;\n\tborder: solid;\n\tborder-width: 0 1px 1px 0;\n\tdisplay: inline-block;\n\tpadding: 3px;\n\tbackground-color: white;\n";
var TooltipTopArrow = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t", "\n\tborder-color: ", ";\n\tbottom: 2px;\n\tleft: 50%;\n\tmargin-left: -3px;\n\ttransform: rotate(45deg);\n"], ["\n\t", "\n\tborder-color: ", ";\n\tbottom: 2px;\n\tleft: 50%;\n\tmargin-left: -3px;\n\ttransform: rotate(45deg);\n"])), arrowStyle, function (props) { return props.theme.colors.gray.main; });
var TooltipRightArrow = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\t", "\n\tborder-color: ", ";\n\ttop: 50%;\n\tleft: 2px;\n\tmargin-top: -3px;\n\ttransform: rotate(135deg);\n"], ["\n\t", "\n\tborder-color: ", ";\n\ttop: 50%;\n\tleft: 2px;\n\tmargin-top: -3px;\n\ttransform: rotate(135deg);\n"])), arrowStyle, function (props) { return props.theme.colors.gray.main; });
var TooltipLeftArrow = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n\t", "\n\tborder-color: ", ";\n\ttop: 50%;\n\tright: 2px;\n\tmargin-top: -3px;\n\ttransform: rotate(-45deg);\n"], ["\n\t", "\n\tborder-color: ", ";\n\ttop: 50%;\n\tright: 2px;\n\tmargin-top: -3px;\n\ttransform: rotate(-45deg);\n"])), arrowStyle, function (props) { return props.theme.colors.gray.main; });
var TooltipBottomArrow = styled.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n\t", "\n\tborder-color: ", ";\n\ttop: 2px;\n\tleft: 50%;\n\tmargin-left: -3px;\n\ttransform: rotate(-135deg);\n"], ["\n\t", "\n\tborder-color: ", ";\n\ttop: 2px;\n\tleft: 50%;\n\tmargin-left: -3px;\n\ttransform: rotate(-135deg);\n"])), arrowStyle, function (props) { return props.theme.colors.gray.main; });
var getArrowElement = function (placement) {
    switch (placement) {
        case 'right':
            return TooltipRightArrow;
        case 'bottom':
            return TooltipBottomArrow;
        case 'left':
            return TooltipLeftArrow;
        default:
            return TooltipTopArrow;
    }
};
var TooltipArrow = function (_a) {
    var placement = _a.placement;
    var ArrowElement = React.useMemo(function () {
        return getArrowElement(placement);
    }, [placement]);
    return React.createElement(ArrowElement, null);
};
export default TooltipArrow;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
